﻿// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

.run(['$ionicPlatform', '$rootScope', '$location', '$ionicHistory', 'nativeHelper', 'localStorage', 'nav', 'const', '$timeout', 'control', '$interval', 'requestUtils',
function ($ionicPlatform, $rootScope, $location, $ionicHistory, nativeHelper, localStorage, nav, constants, $timeout, control, $interval, requestUtils) {
    $rootScope.const = constants;

    $ionicPlatform.ready(function () {
        if (cordova.platformId === 'ios' && window.cordova && window.cordova.plugins.Keyboard) {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);

            //禁止header向上移动
            cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
            //StatusBar.styleDefault 状态栏默认样式，也就是电池信号黑色；
            //StatusBar.styleLightContent 状态栏内容浅色，貌似就是白色，适合深色背景；
            //StatusBar.styleBlackTranslucent 状态栏黑色半透明，电池时间都是白色的，适合深色背景；
            //StatusBar.styleBlackOpaque 状态栏黑色不透明，还是白色的，适合深色背景；
            //StatusBar.hide 状态栏隐藏；
            //StatusBar.show(); //状态栏显示；
            StatusBar.styleDefault();
        }
        //项目路由跳转公用方法
        $rootScope.navigate = function (state) {
            nav.navigate(state);
        };

        //登录成功5秒后发起轮询
        var getUpdateInfo = function () {
            $timeout(function () {
                requestUtils.getMessages(10, 1);
                var timer = $interval(function () { }, 5 * 60000);
                timer.then(success, error, notify);
                function success() {

                }
                function error() {

                }
                function notify() {
                    //调用消息方法
                    //参数一：显示的条数，参数二：页码
                    requestUtils.getMessages(10, 1);
                }
            }, 3 * 1000);
        };

        //因无注册页面，IOS上传APPStore所用
        $rootScope.isShowSignUpPage = false;
        $rootScope.messagesList = [];
        var getIOSAuth = function () {
            try {
                var successFunc = function (result) {
                    if (result == null || angular.equals({}, result)) { nav.navigate('signIn'); }
                    if (result.flag == 'true') {
                        $rootScope.userInfo = { uid: 'F5EEB7F66DA1410F949B7AB68D46FB79' };
                        $rootScope.isShowSignUpPage = true;
                        nav.navigate('tab/home');
                    } else {
                        nav.navigate('signIn');
                    }
                };

                var failFunc = function (error) {
                    control.showPopup(error.msg, 3000);
                    nav.navigate('signIn');
                };

                nativeHelper.getIOSAuth({ data: [{ 'type': 'ios' }], success: successFunc, fail: failFunc });
            }
            catch (e) {

            }
        }

        if (cordova.platformId === 'ios') {
            getIOSAuth();
        }
        else {
            nav.navigate('signIn');
        }

        var loaded = function () {
            try {
                var userInfo = localStorage.get('userInfo');

                if (typeof userInfo === 'undefined') {
                    if ($rootScope.isShowSignUpPage) {
                        nav.navigate('tab/home');
                    } else {
                        //nav.navigate('signIn');
                        nav.navigate('tab/home');
                    }
                }
                else {
                    var successFunc = function (result) {
                        var name = result.split(',')[0];
                        var pwd = result.split(',')[1];

                        var params = [ name, pwd ];

                        var success = function (result) {
                            if (result.type !== 'success') {
                                control.showPopup(result.msg, 3000);
                                nav.navigate('signIn');
                            }
                            else {
                                $rootScope.userInfo = {
                                    uid: result.userMsg.id,
                                    loginName: result.userMsg.loginName,
                                    realName: result.userMsg.realName,
                                    xybgcx: result.role.xybgcx,
                                    fxzscx: result.role.fxzscx
                                };
                                getUpdateInfo();
                                nav.navigate('tab/home');
                            }
                        };

                        var fail = function (error) {
                            control.showPopup(error.msg, 3000);
                            nav.navigate('signIn');
                        };

                        nativeHelper.signIn({ data: params, success: success, fail: fail });
                    };

                    var failFunc = function (error) {
                        control.showPopup(error.msg, 3000);
                        nav.navigate('signIn');
                    };

                    nativeHelper.getEncryptAndDecryptStr({ data: ['0', userInfo], success: successFunc, fail: failFunc });
                }
            } catch (e) {

            }
        };

        //var checkConnection = function () {
        //    var networkState = navigator.connection.type;

        //    if (networkState == Connection.NONE) {
        //        nav.navigate('signIn');
        //        return;
        //    }
        //    else {
        //        loaded();
        //    }
        //};

        //checkConnection();
    });
    //根据不同的平台使用不同的mt 样式,styleStatus:false IOS 平台，true:Android平台，默认为IOS平台
    $rootScope.styleStatus = false;
    //控制底部导航条与软键盘
    $rootScope.hideTabs = false;
    if (cordova.platformId === 'android') {

        $rootScope.styleStatus = true;
        //显示软键盘
        window.addEventListener('native.keyboardshow', function (e) {
            $rootScope.$apply(function () {
                $rootScope.hideTabs = true;
            });
        });
        //隐藏键盘
        window.addEventListener('native.keyboardhide', function (e) {
            $rootScope.$apply(function () {
                $rootScope.hideTabs = false;
            });
        });
        //android双击退出
        $ionicPlatform.registerBackButtonAction(function (e) {

            //判断处于哪个页面时双击退出

            if (control.androidPlatFormExit($location.path())) {

                if ($rootScope.backButtonPressedOnceToExit) {
                    //this.cancel = function () {
                    //    $interval.cancel(timer);
                    //}
                    ionic.Platform.exitApp();

                } else {
                    $rootScope.backButtonPressedOnceToExit = true;
                    control.showPopup('再按一次退出虞信宝', 1000);
                    setTimeout(function () {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 2000);
                };
            }
            else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            }
            else
                if ($rootScope.backButtonPressedOnceToExit) {
                    ionic.Platform.exitApp();
                } else {
                    $rootScope.backButtonPressedOnceToExit = true;
                    control.showPopup('再按一次退出虞信宝', 1000);
                    setTimeout(function () {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 2000);
                }


            e.preventDefault();
            return false;
        }, 101);
    }
}])

.config(['$stateProvider', '$urlRouterProvider', '$locationProvider', '$ionicConfigProvider', function ($stateProvider, $urlRouterProvider, $locationProvider, $ionicConfigProvider) {
    //$locationProvider.html5Mode({
    //    enabled: true,
    //    requireBase: false
    //});

    $stateProvider
        //登录
        .state('signIn', {
            url: '/signIn',
            cache: 'false',
            templateUrl: 'html/account/signIn.html',
            controller: 'signIn'
        })

        //注册
        .state('signUp', {
            url: '/signUp',
            cache: 'false',
            templateUrl: 'html/account/signUp.html',
            controller: 'signUp'
        })

        //tab
        .state('tab', {
            url: '/tab',
            abstract: true,
            templateUrl: 'html/tab/tabs.html',
            controller: 'tab'
        })

        //首页
        .state('tab.home', {
            url: '/home',
            views: {
                'tab-home': {
                    templateUrl: 'html/tab/tab-home.html',
                    controller: 'home'
                }
            }
        })

        //关注
        .state('tab.attention', {
            url: '/attention',
            cache: 'false',
            views: {
                'tab-attention': {
                    templateUrl: 'html/tab/tab-attention.html',
                    controller: 'attention'
                }
            }
        })

        //报告
        .state('tab.report', {
            url: '/report',
            cache: 'false',
            views: {
                'tab-report': {
                    templateUrl: 'html/tab/tab-report.html',
                    controller: 'report'
                }
            }
        })

    //信用报告列表
      .state('reportDataList', {
          url: '/reportDataList',
          cache: 'true',
          templateUrl: 'html/report/reportDataList.html',
          controller: 'reportDataList'
      })
    //我的
        .state('tab.account', {
            url: '/account',
            cache: 'false',
            views: {
                'tab-account': {
                    templateUrl: 'html/tab/tab-account.html',
                    controller: 'account'
                }
            }
        })
    
        //企业信用
        .state('entCredit', {
            url: '/entCredit',
            cache: 'true',
            templateUrl: 'html/home/entCredit.html',
            controller: 'entCredit'
        })

        //企业详情
        .state('entDetail', {
            url: '/entDetail',
            cache: 'false',
            templateUrl: 'html/home/entDetail.html',
            controller: 'entDetail'
        })


        //指数解读
        .state('creditIndexDetail', {
            url: '/creditIndexDetail/:lastPage|/',
            cache: 'false',
            templateUrl: 'html/report/creditIndexDetail.html',
            controller: 'creditIndexDetail'
        })

         //企业背景基础信息
        .state('entBackgroudInfo', {
            url: '/entBackgroudInfo',
            cache: 'false',
            templateUrl: 'html/home/entBackgroudInfo.html',
            controller: 'entBackgroudInfo'
        })

        //历史变更
        .state('entChangeHistory', {
            url: '/entChangeHistory',
            cache: 'false',
            templateUrl: 'html/home/entChangeHistory.html',
            controller: 'entChangeHistory'
        })

        //信用评分报告(原诚信指数)
        .state('creditIndex', {
            url: '/creditIndex',
            cache: 'false',
            templateUrl: 'html/report/creditIndex.html',
            controller: 'creditIndex'
        })

        //诚信指数报告
        .state('creditIndexReport', {
            url: '/creditIndexReport',
            cache: 'false',
            templateUrl: 'html/report/creditIndexReport.html',
             controller: 'creditIndexReport'
        })

        //异常名录
        .state('exceptionList', {
            url: '/exceptionList',
            cache: 'true',
            templateUrl: 'html/home/exceptionList.html',
            controller: 'exceptionList'
        })

        //许可信息
        .state('licenseInfo', {
            url: '/licenseInfo',
            cache: 'false',
            templateUrl: 'html/home/licenseInfo.html',
            controller: 'licenseInfo'
        })

        //失信信息
        .state('entDiscredit', {
            url: '/entDiscredit',
            cache: 'true',
            templateUrl: 'html/home/entDiscredit.html',
            controller: 'entDiscredit'
        })

        //失信信息详情
        .state('entDiscreditDetail', {
            url: '/entDiscreditDetail',
            cache: 'false',
            templateUrl: 'html/home/entDiscreditDetail.html'
        })

        //移出异常详情
        .state('exceptionDetail', {
            url: '/exceptionDetail',
            cache: 'false',
            templateUrl: 'html/home/exceptionDetail.html'
        })

        //司法信息
        .state('justice', {
            url: '/justice',
            cache: 'false',
            templateUrl: 'html/home/justice.html',
            controller: 'justice'
        })

        //通用列表
        .state('normalList', {
            url: '/normalList',
            cache: 'true',
            templateUrl: 'html/home/normalList.html',
            controller: 'normalList'
        })

        //通用列表详情
        .state('normalDetail', {
            url: '/normalDetail',
            cache: 'false',
            templateUrl: 'html/home/normalDetail.html'
        })

        //关系网络
        .state('relationship', {
            url: '/relationship',
            cache: 'true',
            templateUrl: 'html/home/relationship.html',
            controller: 'relationship'
        })

        //关系网络详情
        .state('relationshipDetail', {
            url: '/relationshipDetail',
            cache: 'false',
            templateUrl: 'html/home/relationshipDetail.html',
            controller: 'relationshipDetail'
        })

        //风险预警
        .state('riskWarning', {
            url: '/riskWarning',
            cache: 'true',
            templateUrl: 'html/home/riskWarning.html',
            controller: 'riskWarning'
        })

        //风险预警详情
        .state('riskWarningDetail', {
            url: '/riskWarningDetail',
            cache: 'true',
            templateUrl: 'html/home/riskWarningDetail.html',
            controller: 'riskWarningDetail'
        })

        //查失信
        .state('discreditable', {
            url: '/discreditable',
            cache: 'true',
            templateUrl: 'html/home/discreditable.html',
            controller: 'discreditable'
        })
        //查失信详情
        .state('dishonestyDeatails', {
            url: '/dishonestyDeatails',
            cache: 'false',
            templateUrl: 'html/home/dishonestyDeatails.html',
            controller: 'discreditable'
        })

        //股东高管
        .state('shareholderAndExecutive ', {
            url: '/shareholderAndExecutive',
            cache: 'true',
            templateUrl: 'html/home/shareholderAndExecutive.html',
            controller: 'shareholderAndExecutive'
        })

        //证照信息
        .state('certInfo', {
            url: '/certInfo',
            cache: 'true',
            templateUrl: 'html/home/certInfo.html',
            controller: 'certInfo'
        })

        //证照信息详情
        .state('certDetail', {
            url: '/certDetail',
            cache: 'false',
            templateUrl: 'html/home/certDetail.html',
            controller: 'certInfo'
        })

        //全部应用
        .state('allApplication', {
            url: '/allApplication',
            cache: 'true',
            templateUrl: 'html/home/allApplication.html',
            controller:'allApplication'
        })

        //个人信息
        .state('userInfo', {
            url: '/userInfo',
            cache: 'false',
            templateUrl: 'html/account/userInfo.html',
            controller: 'userInfo'
        })

        //我的分组
        .state('myGrouping', {
            url: '/myGrouping',
            cache: 'false',
            templateUrl: 'html/home/myGrouping.html',
            controller: 'myGrouping'
        })

        //分组详情
        .state('groupingDetails', {
            url: '/groupingDetails',
            cache: 'false',
            templateUrl: 'html/home/groupingDetails.html',
            controller: 'groupingDetails'
        })
    
        //我的消息
        .state('myNewMessage', {
            url: '/myNewMessage',
            cache: 'false',
            templateUrl: 'html/home/myNewMessage.html',
            controller: 'myNewMessage'
        })

        //消息详情
        .state('messageDetail', {
            url: '/messageDetail',
            cache: 'false',
            templateUrl: 'html/account/messageDetail.html',
            controller: 'messageDetail'
        })

        //修改密码
        .state('modifyPwd', {
            url: '/modifyPwd',
            cache: 'false',
            templateUrl: 'html/account/modifyPwd.html',
            controller: 'modifyPwd'
        })

        //我的查询
        .state('myQuery', {
            url: '/myQuery',
            templateUrl: 'html/account/myQuery.html',
            controller: 'account'
        })

        .state('error', {
            url: '/error',
            templateUrl: 'html/account/error.html',
        })

        .state('loadFail', {
            url: '/loadFail',
            templateUrl: 'html/account/loadFail.html',
        })

        .state('noweb', {
            url: '/noweb',
            templateUrl: 'html/account/noweb.html',
            controller: 'aboutUs'
        })

    // if none of the above states are matched, use this as the fallback
    //$urlRouterProvider.otherwise('/tab/home');

    $ionicConfigProvider.platform.ios.tabs.style('standard');

    $ionicConfigProvider.platform.ios.tabs.position('bottom');

    $ionicConfigProvider.platform.android.tabs.style('standard');

    $ionicConfigProvider.platform.android.tabs.position('standard');

    $ionicConfigProvider.platform.ios.navBar.alignTitle('center');

    $ionicConfigProvider.platform.android.navBar.alignTitle('left');

    $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');

    $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

    $ionicConfigProvider.platform.ios.views.transition('ios');

    $ionicConfigProvider.platform.android.views.transition('android');

    $ionicConfigProvider.views.swipeBackEnabled(false);//禁止侧滑后退事件

    $ionicConfigProvider.views.transition('no');
}]);


