﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('modifyPassword', ['$rootScope', '$scope', '$ionicLoading', 'nav', 'validate', 'control',
     'nativeHelper', function ($rootScope, $scope, $ionicLoading, nav, validate, control, nativeHelper) {
         $scope.modifyPasswordInfo = {
             oldPwd: '',
             newPwd: '',
             verifyPwd: ''
         };

         $scope.modifyPassword = function () {
             if (validate.loginPassword($scope.modifyPasswordInfo.verifyPwd)) {
                 if ($scope.modifyPasswordInfo.newPwd === $scope.modifyPasswordInfo.verifyPwd) {
                     control.showLoading();
                     var params = [$rootScope.loginInfo.mobile, $scope.modifyPasswordInfo.oldPwd, $scope.modifyPasswordInfo.newPwd];
                     var successFunc = function (result) {
                         control.hideLoading();
                         if (result == null || angular.equals({}, result)) {
                             control.showPopup('服务出错啦', 3000);
                             return;
                         }
                         switch (result.success) {
                             case true:
                                 control.showPopup('密码修改成功', 3000);
                                 nav.navigate('tab/account');
                                 break;
                             case false:
                                 control.showPopup(result.msg, 3000);
                                 break;
                         }
                     }

                     var failFunc = function (error) {
                       control.hideLoading();
                     };

                     nativeHelper.modifyPassword({ data: params, success: successFunc, fail: failFunc });
                 }
                 else {
                     control.showPopup('您输入的两次密码不相同', 3000);
                 }
             }
             else {
                 control.showPopup('6-16位字符。可使用字母、数字和符号任意组合', 2000);
             }
         }

         $scope.navigate = function (state) {
             nav.navigate(state);
         };
     }]);
})();