﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('modifyPwd', ['$rootScope', '$scope',  'nav', 'validate', 'localStorage', 'control', 'nativeHelper',  function ($rootScope, $scope, nav, validate, localStorage, control, nativeHelper) {
        $scope.submitInfo = { oldPwd: '', newPwd: '' ,confirmNewPwd:''};

        $scope.modifyPwd = function () {
            if (!validate.password($scope.submitInfo.oldPwd) || !validate.password($scope.submitInfo.newPwd)) {
                control.showPopup('请输入正确的密码', 3000);
                return;
            }
            if ( $scope.submitInfo.newPwd !== $scope.submitInfo.confirmNewPwd) {
                control.showPopup('两次输入的密码不一致', 2000);
                return;
            }
            var params = [{ 'oldPassword': $scope.submitInfo.oldPwd, 'newPassword': $scope.submitInfo.newPwd, 'userId': $rootScope.userInfo.uid }];
            control.showLoading();
            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                if (result.type !== 'success') {
                    control.showPopup(result.msg, 3000);
                    return;
                } else {
                    control.showPopup(result.msg, 3000);

                    $scope.$apply(function () {
                        localStorage.set('isModifyPwd', true);
                        nav.navigate('signIn');
                    });
                }
            };

            nativeHelper.modifyPwd({ data: params, success: successFunc, fail: failFunc });
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();