﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('signIn', ['$rootScope', '$scope', 'requestUtils', 'nav', 'validate', 'localStorage', 'control', 'nativeHelper', 'utility', '$timeout', '$interval', function ($rootScope, $scope, requestUtils, nav, validate, localStorage, control, nativeHelper, utility, $timeout, $interval) {
        $rootScope.user = { name: '', password: '' };
        $scope.isPwd = true;
        $scope.btnDisabled = $rootScope.user.name != '' && $rootScope.user.password != '';
        $scope.btnClick = false;

        var userAccount = localStorage.get('userAccount');

        if (typeof userAccount !== 'undefined') {
            $rootScope.user.name = userAccount;
        }

        //登录成功5秒后发起轮询
        var getUpdateInfo = function () {
            $timeout(function () {
            requestUtils.getMessages(10, 1);
                var timer = $interval(function () { }, 5*60000);
                timer.then(success, error, notify);
                function success() {

                }
                function error() {

                }
                function notify() {
                //调用消息方法
                //参数一：显示的条数，参数二：页码
                    requestUtils.getMessages(10,1);
                }
            }, 3 * 1000);
        };

        $scope.signIn = function () {
            $scope.btnClick = true;

            if (!validate.userName($rootScope.user.name)) {
                control.showPopup('请输入正确的账号', 3000);
                $scope.btnClick = false;
                return;
            }

            if (!validate.password($rootScope.user.password)) {
                control.showPopup('请输入正确的密码', 3000);
                $scope.btnClick = false;
                return;
            }

            var params = [ $rootScope.user.name, $rootScope.user.password ];
            control.showLoading();
            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
                $scope.btnClick = false;
            };

            var successFunc = function (result) {
                control.hideLoading();
                $scope.btnClick = false;
                if (result == null || angular.equals({}, result)) { return; }
                if (result.type !== 'success') {
                    control.showPopup(result.msg, 3000);
                    return;
                }


                $scope.$apply(function () {
                    $rootScope.userInfo = {
                        uid: result.userMsg.id,
                        loginName: result.userMsg.loginName,
                        realName: result.userMsg.realName,
                        xybgcx:result.role.xybgcx,
                        fxzscx:result.role.fxzscx,
                        bankGovType: result.role.bankGovType
                    };
                    getUpdateInfo();

                    nav.navigate('tab/home');

                    //utility.setUserInfo();
                    localStorage.set('userAccount', $rootScope.user.name);
                });
            };

            nativeHelper.signIn({ data: params, success: successFunc, fail: failFunc });
        };

      

        $scope.$watch('user.name', function () {
            $scope.btnDisabled = $rootScope.user.name != '' && $rootScope.user.password != '';
        });

        $scope.$watch('user.password', function () {
            $scope.btnDisabled = $rootScope.user.name != '' && $rootScope.user.password != '';
        });

        $scope.doeyeclick = function () {
            $scope.isPwd = !$scope.isPwd;
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();