﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('signUp', ['$rootScope', '$scope', '$filter', 'nav', 'validate', 'control', 'nativeHelper', 'utility', '$timeout', function ($rootScope, $scope,  $filter, nav, validate, control, nativeHelper, utility, $timeout) {
        $scope.registInfo = { tel: '',verifyCode:'', password: '' };
        $scope.isPwd = true;

        $scope.signUp = function () {
            if (!validate.mobile($scope.registInfo.tel)) {
                control.showPopup('请输入正确的手机号码', 3000);
                return;
            }

            if (validate.nullOrEmpty($scope.registInfo.verifyCode)) {
                control.showPopup('请输入验证码', 3000);
                return;
            }

            if (!validate.password($scope.registInfo.password)) {
                control.showPopup('请输入正确的密码', 3000);
                return;
            }
            var verifyCode = ($scope.registInfo.verifyCode).toString();
            var params = [{'userTel':$scope.registInfo.tel, 'checkCode':verifyCode, 'userPassword':$scope.registInfo.password}];
            control.showLoading();
            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                if (result.status !== 'success') {
                    control.showPopup(result.msg, 3000);
                    return;
                }

                control.showPopup(result.msg, 3000, function () { nav.navigate('signIn'); });
            };

            nativeHelper.signUp({ data: params, success: successFunc, fail: failFunc });
        };

        $scope.doeyeclick = function () {
            $scope.isPwd = !$scope.isPwd;
        }
    }]);
})();