﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('downloadCert', ['$rootScope', '$scope', 'nav', 'control', 'nativeHelper', 'validate', 'localStorage', function ($rootScope, $scope, nav, control, nativeHelper, validate, localStorage) {
        $scope.downloadCertInfo = { password: '', confirmPwd: '' };

        var addCert = function (entInfo, certInfo) {
            var isExist = false;
            $rootScope.localCertList.forEach(function (v) {
                if (v.entName == entInfo.entName) {
                    v.data.push(certInfo);
                    isExist = true;
                }
            });

            if (!isExist) {
                $rootScope.localCertList.push({ entName: entInfo.entName, orgCode: entInfo.orgCode, data: [certInfo] })
            }
        }

        //启用证书
        var doStartCert = function (certInfo) {
            var params = [$rootScope.curBusinessInfo.entName, $rootScope.curBusinessInfo.uniscid, $rootScope.curBusinessInfo.orderNo, $rootScope.curBusinessInfo.corpid,certInfo.certId, cordova.platformId];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.success) {
                    case true:
                     addCert(
                              {
                               entName: $rootScope.curBusinessInfo.entName,
                                orgCode: $rootScope.curBusinessInfo.uniscid
                                },
                            {
                              containerName: $rootScope.curBusinessInfo.orderNo,//订单号作为SDK容器名称
                              serialNum: certInfo.serialNum,
                              CN: certInfo.CN,
                              certType: certInfo.certType,
                              expiryDate: certInfo.expiryDate,
                              certContent: certInfo.certContent,
                              certId: certInfo.certId,
                              password: $scope.downloadCertInfo.password,
                              isValid: true,
                              operator: '',
                              phone: $rootScope.loginInfo.mobile,
                              date: ''
                              });
                          localStorage.setObject($rootScope.loginInfo.mobile, $rootScope.localCertList);
                        control.showPopup('下载成功', 3000);
                        nav.navigate('tab/home');
                        break;
                    case false:
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.doStartCert({ data: params, success: successFunc, fail: failFunc });
        }

        $scope.downloadCert = function () {
            if (!validate.certPassword($scope.downloadCertInfo.password) || !validate.certPassword($scope.downloadCertInfo.confirmPwd)) {
                control.showPopup('请输入6位数字密码', 2000);
                return;
            }

            if ($scope.downloadCertInfo.password !== $scope.downloadCertInfo.confirmPwd) {
                control.showPopup('您输入的两次密码不相同', 3000);
                return;
            }

            control.showLoading();
            var type = $rootScope.curBusinessInfo.netType == '6' ? 'applyNew' : 'replenish';//业务单类型6:证书新领 8:证书补办
            var params = [$rootScope.curBusinessInfo.entName, $rootScope.curBusinessInfo.uniscid, $rootScope.curBusinessInfo.orderNo, $rootScope.curBusinessInfo.corpid, type, $rootScope.curBusinessInfo.certId, $scope.downloadCertInfo.password, cordova.platformId];

            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.success) {
                    case true:
                        doStartCert(result);
                        break;
                    case false:
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.downloadCert({ data: params, success: successFunc, fail: failFunc });
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();