﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('certAgentInfo', ['$rootScope', '$scope', 'nav', 'localStorage', 'control', '$filter', 'nativeHelper', '$ionicLoading', 'validate', function ($rootScope, $scope, nav, localStorage, control, $filter, nativeHelper, $ionicLoading, validate) {
        $scope.agent = { 'name': '', 'id': '' };

        //材料照片存储
        $rootScope.certHandleMaterial = { idFace: '', idOpposite: '', businessLicense: '', authorization: '' };

        $rootScope.updateCertificatePicInfo = { idFace: '', idOpposite: '', businessLicense: '', authorization: '' };
        if (typeof $rootScope.curBusinessInfo !== 'undefined'){
            $rootScope.updateCertificatePicInfo.idFace = $rootScope.curBusinessInfo.idCardFace || '';
            $rootScope.updateCertificatePicInfo.idOpposite = $rootScope.curBusinessInfo.idCardBack || '';
            $rootScope.updateCertificatePicInfo.businessLicense = $rootScope.curBusinessInfo.businessLicense || '';
            $rootScope.updateCertificatePicInfo.authorization = $rootScope.curBusinessInfo.letter || '';
        }



        //默认不能修改身份证正面
        $rootScope.changeIdFace = false;
        //身份证反面
        $rootScope.changeIdOpposite = false;
        //营业执照
        $rootScope.changeBusinessLicense = false;
        //授权书
        $rootScope.changeAuthorization = false;

        //经办材料导航状态和成功后弹框
        $rootScope.isSuccess = false;

        //协议选中状态记录
        $rootScope.isSelect = false;

        //从业务管理页面进入，继续办理、更新资料
        if ($rootScope.certHandleNoticeParent == 'tab/businessManage') {
            $scope.agent = { 'name': $rootScope.curBusinessInfo.operator, 'id': $rootScope.curBusinessInfo.operatorId };
        }

        var initiateRequest = function () {
            control.showLoading();
            var params = [$scope.agent.name, $scope.agent.id, $rootScope.loginInfo.mobile,
            $rootScope.certUnderwayInfo.entName, $rootScope.certUnderwayInfo.uniscid, '',
            $rootScope.loginInfo.accountId, $rootScope.certUnderwayInfo.corpid, '192.168.5.96', $rootScope.certUnderwayInfo.businessCode, '010'];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }
                if (result.success) {
                    //订单号
                    $rootScope.orderNo = result.value;
                    $rootScope.certHandMaterialParent = 'certAgentInfo';
                    nav.navigate('certHandMaterial');
                }
                else {
                    control.showPopup(result.msg, 3000);
                }
            }
            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };
            nativeHelper.getSaveNetOrderInfo({ data: params, success: successFunc, fail: failFunc });
        };

        var updateNetOrderInfo = function (orderNo) {

            control.showLoading();
            var params = [orderNo, $scope.agent.name, $scope.agent.id];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }

                if (result.success) {
                    if ($rootScope.certHandleNoticeParent == 'tab/businessManage') {
                        $rootScope.curBusinessInfo.operator = $scope.agent.name;
                        $rootScope.curBusinessInfo.operatorId = $scope.agent.id;
                        nav.navigate('updateCertificatePic');
                    } else {
                        nav.navigate('certHandMaterial');
                    }
                }
                else {
                    control.showPopup(result.msg, 3000);
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.doUpdateNetOrderInfo({ data: params, success: successFunc, fail: failFunc });
        };

        $scope.certUnderwayNext = function () {
            //if ($rootScope.orderNo !== '') {
            //    updateNetOrderInfo($rootScope.orderNo);
            //    return;
            //}
            if ($rootScope.certHandleNoticeParent == 'tab/businessManage') {
                if ($scope.agent.name !== $rootScope.curBusinessInfo.operator || $scope.agent.id !== $rootScope.curBusinessInfo.operatorId) {
                    updateNetOrderInfo($rootScope.curBusinessInfo.orderNo);
                }
                else {
                    nav.navigate('updateCertificatePic');
                }
            }
            else {
                if ($scope.agent.name == '') {
                    control.showPopup('姓名不能为空', 2000);
                    return;
                }
                if (!validate.idNo($scope.agent.id).result) {
                    control.showPopup(validate.idNo($scope.agent.id).e, 2000);
                    return;
                }

                initiateRequest();
            }
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();