﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('certHandleNotice', ['$rootScope', '$scope', 'nav', 'localStorage', 'control', '$ionicActionSheet', 'nativeHelper', function ($rootScope, $scope, nav, localStorage, control, $ionicActionSheet, nativeHelper) {



        $scope.uploadAvatar = function (e) {
            $scope.canClick = true;
            $ionicActionSheet.show({
                buttons: [
                            { text: '相册' },
                            { text: '拍照' }
                ],

                cancelText: '取消',
                cancel: function () {
                 
                },
                buttonClicked: function (index) {
                    var options = {
                        quality: 100,                                            //相片质量0-100
                        destinationType: 0,      //返回类型：DATA_URL= 0，返回作为 base64 字串。 FILE_URI=1，返回影像档的 URI。NATIVE_URI=2，返回图像本机URI (例如，???)
                        sourceType: index,                                      //从哪里选择图片：PHOTOLIBRARY=0，相机拍照=1，SAVEDPHOTOALBUM=2。0和1其实都是本地图库
                        allowEdit: false,                                        //在选择之前允许修改截图
                        encodingType: 1,                                        //保存的图片格式： JPEG = 0, PNG = 1
                        targetWidth: 500,                                       //照片宽度
                        targetHeight: 500,                                      //照片高度
                        mediaType: index,                                           //可选媒体类型：?片=0，只允许选择图片?返回指定DestinationType的参数。 ??格式=1，允许选择视频，最终返回 FILE_URI。ALLMEDIA= 2，允许所有媒体类型的选择。
                        cameraDirection: 1,                                     //前后摄像头类型：Back= 0,Front-facing =1
                        //popoverOptions: CameraPopoverOptions,
                        saveToPhotoAlbum: false                                 //保存进手机相册
                    };
                    function onSuccess(imageData) {
                        $scope.$apply(function () {
                            var pic = 'data:image/png;base64,' + imageData;
                            switch (e) {
                                case "idFace":
                                    $rootScope.certHandleMaterial.idFace = pic;
                                    $rootScope.changeIdFace = true;
                                    break;
                                case 'idOpposite':
                                    $rootScope.certHandleMaterial.idOpposite = pic;
                                    $rootScope.changeIdOpposite = true;
                                    break;
                                case 'businessLicense':
                                    $rootScope.certHandleMaterial.businessLicense = pic;
                                    $rootScope.changeBusinessLicense = true;
                                    break;
                                case 'authorization':
                                    $rootScope.certHandleMaterial.authorization = pic;
                                    $rootScope.changeAuthorization = true;
                                    break;

                            }
                        });
                    };

                    function onFail(ex) {
                        //$scope.canClick = false;
                        //control.showPopup(ex, 3000);
                    }

                    navigator.camera.getPicture(onSuccess, onFail, options);

                    return true;
                }
            })
        };

        //材料提交
        $scope.submitMaterial = function (isAgree) {
            if ($rootScope.isSelect) {
                isAgree = true;
            }
            if (!isAgree) {
                control.showPopup("请同意协议", 2000);
                return;
            }
            if ($rootScope.certHandleMaterial.idFace == '' && $rootScope.certHandleMaterial.idOpposite == '' && $rootScope.certHandleMaterial.businessLicense == '' && $rootScope.certHandleMaterial.authorization == '') {
                control.showPopup("请完善图片信息", 2000);
                return;
            }
            control.showLoading();
            var params = [$rootScope.certHandleMaterial.idFace, $rootScope.certHandleMaterial.idOpposite,
            $rootScope.certHandleMaterial.businessLicense, $rootScope.certHandleMaterial.authorization, $rootScope.orderNo];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }
                if (result.success) {
                    $rootScope.isSuccess = true;

                }
                if (!result.success) {
                    control.showPopup(result.msg, 3000);
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.submitMaterialPic({ data: params, success: successFunc, fail: failFunc });

        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();