﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('certInfo', ['$rootScope', '$scope', '$ionicScrollDelegate', 'nav', 'localStorage', 'validate', 'nativeHelper', 'control', function ($rootScope, $scope, $ionicScrollDelegate, nav, localStorage, validate, nativeHelper, control) {
    $scope.certSearch={key:''};
        $scope.isShow = false;
        var pageNum = 1;//页码
        var showNum = 10;

        var getCertInfoList = function (key) {
            control.showLoading();
            var params = [{ 'entName' :key, 'page':pageNum, 'pageSize':showNum }];
            var successFunc = function (result) {
                control.hideLoading();
                $scope.can_loadmore = true;
                $scope.isloadmore = false;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.certList = result.data;
                            $scope.totleData = result.num;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

                var failFunc = function (result) {
                    control.hideLoading();
                    control.showPopup(result.msg, 3000);
                };

                nativeHelper.getCertInfoList({ data: params, success: successFunc, fail: failFunc });
            }



        $scope.search = function () {
            control.showLoading();
            $scope.isShow = true;
            if (!validate.nullOrEmpty($scope.certSearch.key)) {
                var isEqual = false;
                angular.forEach($rootScope.searchHistory, function (data, index, array) {
   
                    if (data == $scope.certSearch.key) {
                        isEqual = true;
                    }

                });
                if (!isEqual) {
                    $rootScope.searchHistory.push( $scope.certSearch.key);
                    localStorage.setObject('searchHistory', $rootScope.searchHistory);
                }
              
            }
            
            getCertInfoList($scope.certSearch.key);
            $ionicScrollDelegate.scrollTop();
        };

        //$scope.certList = [
        //    { entName: '上虞市崧厦三利装璜店', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '上虞市崧厦三利装璜店', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //    { entName: '杭州天健流体控制设备有限公司上虞分公司', certCode: '绍市危化经（虞）字[2012]030001', certName: '危险化学品经营许可证', certDate: '2012-01-09~2015-01-08' },
        //];


        //点击搜索历史进行查询
        $scope.lookup = function (item) {
            $scope.certSearch.key = item;
            getCertInfoList(item);
            control.showLoading();
            $scope.isShow = true;
        };

        //获取下拉刷新数据
        $scope.doRefresh = function () {
            showNum = 10;
            getCertInfoList($scope.certSearch.key);
            $scope.$broadcast('scroll.refreshComplete');
        };

        //上拉换页
        $scope.isloadmore = false;
        $scope.can_loadmore = true;
        $scope.loadMore = function () {
            if ($scope.totleData > showNum) {
                showNum = 10 + showNum;
                getCertInfoList($scope.certSearch.key);
            } else {
                $scope.isloadmore = true;
            }
            $scope.can_loadmore = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
        }
 
        //搜索框捕获焦点后显示搜索历史
        $scope.isFocus = function () {
            $ionicScrollDelegate.scrollTop();
            $scope.isShow = false;
        };

        $scope.navToDetail = function (item) {
            $rootScope.licNumber = item.invalidData.length + item.validData.length;
            $rootScope.curCertDetail = item;
            nav.navigate('certDetail');
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();