﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('entDetail', ['$rootScope', '$scope', '$ionicPopup', 'nav', 'nativeHelper', 'utility', 'control', function ($rootScope, $scope,$ionicPopup, nav, nativeHelper, utility, control) {
        $scope.detaiUpdateTime = new Date();
        $scope.scoreWidth = ($rootScope.curEnterpriseInfo.creditScore / 2) + '%';

        $scope.detailCount = {
            "pwdyxxNumber": 0,
            "fdccfNumber": 0,
            "bdcdyNumber": 0,
            "yqhqfxxNumber": 0,
            "czNumber": 0,
            "YcSumNumber": 0,
            "cfxxNumber": 0,
            "dcdyNumber": 0,
            "punishNumber": 0,
            "lsbgNumber": 0,
            "LrSumNumber": 0,
            "licenseNumber": 0,
            "fxNumber": 0,
            "sxNumber": 0,
            "ycmlNumber":0
        };
        //获取信用评分数据
        var getCreditScore=function(){
          control.showLoading();
          var params = [{ 'corpid': $rootScope.curEnterpriseInfo.corpid}];
           var successFunc = function (result) {
                          control.hideLoading();
                          if (result == null || angular.equals({}, result)) { return; }
                          switch (result.type) {
                              case "success":
                                  $scope.$apply(function () {
                                      $rootScope.curEntCreditScoreData = result;
                                  });
                                  break;
                              case "fail":
                                  control.showPopup(result.msg, 3000);
                                  break;
                          }
                      }

                      var failFunc = function (result) {
                          control.hideLoading();
                          control.showPopup(result.msg, 3000);
                      };

                      nativeHelper.getCreditScore({ data: params, success: successFunc, fail: failFunc });
        }
        getCreditScore();
        //获取每个子项的数据总数，一个接口返回16中数据值
        var getDetailCount = function () {
            control.showLoading();
            var params = [{ 'corpid': $rootScope.curEnterpriseInfo.corpid, 'entName': $rootScope.curEnterpriseInfo.entName }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.detailCount = result;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getDetailCount({ data: params, success: successFunc, fail: failFunc });
        }

        getDetailCount();

        //关注企业
        var getAttentionEnt = function () {
            var params = [{ "userId": $rootScope.userInfo.uid, "corpid": $rootScope.curEnterpriseInfo.corpid, "groupId": groupId }];
            var successFunc = function (result) {
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            //关注的状态
                            $rootScope.enterpriseList.forEach(function (d) {
                                if (d.id == $rootScope.curEnterpriseInfo.id) {
                                    d.flag = '1';
                                }
                            });
                            $rootScope.curEnterpriseInfo.flag = '1';
                            control.showPopup(result.msg, 3000);
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getAttentionEnt({ data: params, success: successFunc, fail: failFunc });
        };

        //取消企业关注
        $scope.cancelAttention = function (item, index) {
            control.showLoading();
            var params = [{ "corpid": $rootScope.curEnterpriseInfo.corpid, "userId": $rootScope.userInfo.uid }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            //关注的状态
                            $rootScope.enterpriseList.forEach(function (d) {
                                if (d.id == $rootScope.curEnterpriseInfo.id) {
                                    d.flag = '0';
                                }
                            });
                            $rootScope.curEnterpriseInfo.flag = '0';
                            control.showPopup('取消关注成功', 2000);
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 2000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getCancelAttention({ data: params, success: successFunc, fail: failFunc });
        };

        $scope.newGroup = { name: '' };
        $scope.curGroup = '';
        var groupId;
        $scope.choiceGroup = function (item) {
            $scope.curGroup = item.groupName;
            groupId = item.id;
        }

        var showConfirmGroup = function () {

            return $ionicPopup.show({
                templateUrl: 'html/home/newPopup.html',
                // template:'<div class="close-cir"><i ng-click="closeLayout()" class="close-cir-fff"></i> <input maxlength=8 type="text" ng-model="newGroup.name"  placeholder="请输入1-8个字的组名"/></div>',
                title: '',
                scope: $scope,
                cssClass: 'private-create-group yzh-new-group pcg-mt',
                buttons: [
                    {
                        text: '确定',
                        type: 'button-positive',
                        onTap: function (e) {
                            return true;
                        }
                    }
                ]
            });
        }
        //管理分组添加
        var manageGroup = function (id, flag, groupName) {
            control.showLoading();
            var params = [{ "id": id, "userId": $rootScope.userInfo.uid, "flag": flag, "groupName": groupName }];
            var successFunc = function (result) {
                control.hideLoading();

                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $rootScope.myGroupList = result.data;

                        });
                        break;
                    case "fail":
                        $scope.can_loadmore = false;
                        control.showPopup(result.msg, 2000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getManageGroup({ data: params, success: successFunc, fail: failFunc });
        };
        var viewLayout;
        $rootScope.addGroup = function () {

            viewLayout = showConfirmGroup();
            viewLayout.then(function (res) {
                if (res) {
                    if ($scope.newGroup.name.length == 0) {
                        control.showPopup('分组名称不能为空', 800);
                    } else {
                        manageGroup('', 'add', $scope.newGroup.name);
                        $scope.newGroup = { name: '' };
                    }

                }
            })
        }
        //关闭新建分组弹出框事件
        $scope.closeLayout = function () {
            viewLayout.close();
        }

        //关闭新建分组弹出框事件
        $scope.closeLayoutClose = function () {
            confirmPopup.close();
        };
        var confirmPopup;
        $scope.btnAttention = function () {
            confirmPopup = $ionicPopup.show({
                title: '',
                subTitle: '',
                templateUrl: 'html/home/attentionPopup.html',
                scope: $scope,
                cssClass: 'private-create-group pcg-mt',
                buttons: [
                    {
                        text: '确定',
                        type: 'button-positive',
                        onTap: function (e) {
                            return true;

                        }
                    }
                ]
            });
            confirmPopup.then(function (res) {
                if (res) {
                    if (groupId === undefined) {
                        groupId = $rootScope.myGroupList[0].id;
                    };
                    //调关注接口，按钮变色
                    getAttentionEnt();
                } else {
                    //cancelFunc();
                }
            });
        };
        $scope.impowerMsg = function (msg) {
            control.showPopup(msg, 3000);
        }

        $scope.navToDetail = function (state,count) {
            if (count > 0) {
                switch (state) {
                    case "riskWarningDetail":
                        if ($rootScope.userInfo.fxzscx == 'false') {
                            control.showPopup('暂无权限', 3000);
                            return;
                        }

                        $rootScope.riskWarningParent = 'entDetail';
                        break;
                    case "relationshipDetail":
                        $rootScope.relationshipParent = 'entDetail';
                        break;
                    case "creditIndex":
                        if ($rootScope.userInfo.fxzscx == 'false') {
                            control.showPopup('暂无权限', 3000);
                            return;
                        }

                        $rootScope.creditIndexParent = 'entDetail';
                        break;
                    case "justice":
                        if ($rootScope.userInfo.bankGovType == 'ZF') {
                            control.showPopup('暂无权限', 3000);
                            return;
                        }
                        break;
                }
                nav.navigate(state)
            } else {
                control.showPopup('暂无数据', 3000);
            }
        };

        $scope.navToNormalList = function (state, count) {
            if ($rootScope.userInfo.bankGovType == 'ZF') {
                control.showPopup('暂无权限', 3000);
                return;
            }

            if (count > 0) {
                $rootScope.riskType = state;
                nav.navigate('normalList');
            } else {
                control.showPopup('暂无数据', 3000);
            }
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();