﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('entDiscredit', ['$scope', 'nav', '$rootScope', 'validate', 'nativeHelper', 'control', function ($scope, nav, $rootScope, validate, nativeHelper, control) {
        var pageNum = 1;//页码
        var showNum = 10;

        var getDiscreditableList = function () {
            control.showLoading();
            var params = [{ "page": pageNum, "pageSize": showNum, "entName": $rootScope.curEnterpriseInfo.entName }];
            var successFunc = function (result) {
                control.hideLoading();
                $scope.can_loadmore = true;
                $scope.isloadmore = false;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.dishonestyListData = result.data;
                            $scope.total = result.num;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };
            
            nativeHelper.getEnterpriseDishonestyList({ data: params, success: successFunc, fail: failFunc });
        };

        getDiscreditableList();

        //下拉刷新
        $scope.doRefresh = function () {
            pageNum = 1;
            showNum = 10;
            getDiscreditableList();
            //结束刷新
            $scope.$broadcast('scroll.refreshComplete');
        };

        //上拉刷新
        $scope.can_loadmore = true;
        $scope.isloadmore = false;
        $scope.loadMore = function () {
            if ($scope.total > showNum) {
                showNum = 10 + showNum;
                getDiscreditableList();
                $scope.can_loadmore = false;
            } else {
                $scope.isloadmore = true;
            }

            $scope.can_loadmore = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
            return;
        };

        $scope.navToDeatail = function (item) {
            $rootScope.curDiscredit = item;
            $rootScope.entDiscreditParent = 'entDiscredit';
            nav.navigate('entDiscreditDetail');
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();