﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('groupingDetails', ['$rootScope', '$scope', '$ionicHistory', 'nav', 'nativeHelper', '$ionicPopup', 'utility', 'control', function ($rootScope, $scope, $ionicHistory, nav, nativeHelper, $ionicPopup, utility, control) {

        $scope.groupName=$rootScope.groupItem.groupName ;
   
        //页码
        var pageNum = 1;
        //显示的数量
        var showNum = 100;

           //分组中的企业
        //groupId:分组的id,entName:搜索条件
        var getAttentionEntList = function () {
            control.showLoading();
            var params = [{
                "userId": $rootScope.userInfo.uid, "page": pageNum, "pageSize": showNum, "groupId": $rootScope.groupItem.id,"entName":''
            }];
            var successFunc = function (result) {
                control.hideLoading();
   
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.attentionEntList = result.data;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getAttentionEntList({ data: params, success: successFunc, fail: failFunc });
        };

        getAttentionEntList();
        //取消关注
        $scope.cancelAttention = function (item, index) {
            control.showLoading();

            var params = [{ "corpid": item.corpid, "userId": $rootScope.userInfo.uid }];
            var successFunc = function (result) {
                control.hideLoading();

                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            getAttentionEntList();
                            control.showPopup('取消关注成功', 2000);
                            $ionicHistory.clearCache(['entCredit']);
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 2000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getCancelAttention({ data: params, success: successFunc, fail: failFunc });

        };





      
        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();