﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('licenseInfo', ['$rootScope', '$scope', 'nav', 'control', 'nativeHelper', function ($rootScope, $scope, nav, control, nativeHelper) {
        $scope.licenseInfo = [];

        var getLicenseInfo = function () {
            control.showLoading();
            var params = [{ 'corpid': $rootScope.curEnterpriseInfo.corpid, 'entName': $rootScope.curEnterpriseInfo.entName, 'page': 1, 'pageSize': 500 }];
            var successFunc = function (result) {
                control.hideLoading();

                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.licenseInfo = result.data[0];
                            $scope.count = result.num;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getLicenseInfo({ data: params, success: successFunc, fail: failFunc });
        }

        getLicenseInfo();

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();