﻿﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('myGrouping', ['$rootScope', '$scope', 'nav', 'nativeHelper', '$ionicPopup', '$ionicListDelegate', 'control', function ($rootScope, $scope, nav, nativeHelper, $ionicPopup, $ionicListDelegate, control) {

       //我的分组列表
       var getGroupData = function () {

           var params = [{ "userId": $rootScope.userInfo.uid }];
           var successFunc = function (result) {
               $scope.can_loadmore = true;
               if (result == null || angular.equals({}, result)) { return; }
               switch (result.type) {
                   case "success":
                       $scope.$apply(function () {
                           $rootScope.myGroupList = result.data;
                       });
                       break;
                   case "fail":
                       control.showPopup(result.msg, 3000);
                       break;
               }
           }

           var failFunc = function (result) {
               control.showPopup(result.msg, 3000);
           };

           nativeHelper.getGroupData({ data: params, success: successFunc, fail: failFunc });

       };

        //调用分组数据
        getGroupData();
        $scope.newGroup = { name: '' };
        //管理分组-编辑、删除、添加
        var manageGroup = function (id, flag, groupName) {
            control.showLoading();
            var params = [{ "id": id, "userId": $rootScope.userInfo.uid, "flag": flag, "groupName": groupName }];
            var successFunc = function (result) {
                control.hideLoading();
                //恢复滑动按钮状态
                $ionicListDelegate.closeOptionButtons();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $rootScope.myGroupList = result.data;

                        });
                        break;
                    case "fail":
                        $scope.can_loadmore = false;
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getManageGroup({ data: params, success: successFunc, fail: failFunc });
        };

        var isShowLayout;
        //新建/编辑/删除弹框模板
        var showConfirmGroup = function (title, view) {

            return $ionicPopup.show({
                templateUrl: view,
                title: title,
                scope: $scope,
                cssClass: 'private-create-group yzh-new-group',
                buttons: [
                    {
                        text: '确定',
                        type: 'button-positive',
                        onTap: function (e) {
                            return true;

                        }
                    }
                ]
            });
        }


        // var viewLayout = '<div class="close-cir"><i ng-click="closeLayout()" class="close-cir-fff"></i> <input maxlength=8 type="text" ng-model="newGroup.name"  placeholder="请输入1-8个字的组名"/></div>';
        var viewLayoutNew = 'html/home/newPopup.html';
        var viewLayoutEdit = 'html/home/editPopup.html';
        var viewLayoutDelete = 'html/home/deletePopup.html';
        $scope.addGroup = function () {
            var newGroupName = '';

            isShowLayout = showConfirmGroup(newGroupName, viewLayoutNew);
            isShowLayout.then(function (res) {
                if (res) {
                    if ($scope.newGroup.name.length == 0) {
                        control.showPopup('分组名称不能为空', 800);
                    } else {
                        manageGroup('', 'add', $scope.newGroup.name);
                        $scope.newGroup = { name: '' };
                    }

                }
            })
        }
        $scope.edit = function (item, index) {
            if (index == 0) {
                control.showPopup("默认分组不能编辑", 1000);
                return;
            }
            var newGroupName = '';
            isShowLayout = showConfirmGroup(newGroupName, viewLayoutEdit);
            isShowLayout.then(function (res) {
                if (res) {
                    if ($scope.newGroup.name.length == 0) {
                        control.showPopup('分组名称不能为空', 800);
                    } else {
                        manageGroup(item.id, 'edit', $scope.newGroup.name);
                        $scope.newGroup = { name: '' };
                    }
                }
            })
        };

        $scope.deleteGroup = function (item, index) {
            if (index == 0) {
                control.showPopup("默认分组无法删除", 1000);
                return;
            }

            // isShowLayout = showConfirmGroup('', '<div class="group-delete"></div><p>确认要删除？</p><p>删除该分组后 组内企业将移至默认分组中</p><i ng-click="closeLayout()" class="close-cir-fff"></i>');
            isShowLayout = showConfirmGroup('', viewLayoutDelete);
            isShowLayout.then(function (res) {
                if (res) {
                    manageGroup(item.id, 'delete', item.groupName);
                }
            });
        };
        //关闭弹出框事件
        $scope.closeLayout = function () {
            isShowLayout.close();
        }

        $scope.showGroupingDetail = function (item) {

            $rootScope.groupItem = item;
            nav.navigate('groupingDetails');
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();