﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('normalList', ['$rootScope', '$scope', 'nav', '$ionicLoading', 'nativeHelper', 'utility', 'control', function ($rootScope, $scope, nav, $ionicLoading, nativeHelper, utility, control) {
        //$scope.normalList = [
        //    { industryTypeName: '测试标题1', legalEntitySubTypeName: '测试标题2', name:'浙江',code:'123' },
        //    { industryTypeName: '测试标3', legalEntitySubTypeName: '测试标4', name: '上海', code: '456' }
        //];
        $scope.normalList = [];

        var getNormalList = function () {
            control.showLoading();
            var params = [ $rootScope.riskType, { 'corpid': $rootScope.curEnterpriseInfo.corpid, 'page': 1, 'pageSize': 50 } ];
            var successFunc = function (result) {
                control.hideLoading();
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.normalList = result.data;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (error) {
                control.hideLoading();
                control.showPopup(error.msg, 3000);
            };

            nativeHelper.getNormalList({ data: params, success: successFunc, fail: failFunc });
        }

        switch ($rootScope.riskType) {
            case 'administrativePenalty':
                $rootScope.riskDetailTitle = '行政处罚详情';

                $scope.riskListProperty = [
                     { title: '行政处罚文书号 ', key: 'punDocno' },
                     { title: '案件名称', key: 'punCaseName' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '行政处罚文书号', key: 'punDocno' },
                     { title: '执法部门', key: 'punOrgName' },
                     { title: '案件名称', key: 'punCaseName' },
                     { title: '行政处罚权力事项名称', key: 'punItemName' },
                     { title: '作出行政处罚决定日期', key: 'punDate' },
                     { title: '状态', key: 'punState' }
                ];

                getNormalList();
                break;
            case 'sealUp':
                $rootScope.riskDetailTitle = '查封信息详情';

                $scope.riskListProperty = [
                     { title: '查封文号 ', key: 'sequestrateNo' },
                     { title: '查封类型', key: 'importFrom' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '查封文号', key: 'sequestrateNo' },
                     { title: '查封类型', key: 'importFrom' },
                     { title: '查封房屋坐落', key: 'sequestrateLoc' },
                     { title: '申请查封单位', key: 'sequestrateApplyName' },
                     { title: '查封起始日期', key: 'tsaSeizeStartDateStr'},
                     { title: '查封截止日期', key: 'tsaSeizeEndDateStr' },
                     { title: '撤销查封日期', key: 'cancelDate' },
                     { title: '状态', key: 'state' }
                ];

                getNormalList();
                break;
            case 'overdueOrArrears':
                $rootScope.riskDetailTitle = '逾期或欠费详情';

                $scope.riskListProperty = [
                     { title: '所属机构 ', key: 'importFrom' },
                     { title: '逾期类型', key: 'arrearType' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '所属机构', key: 'importFrom' },
                     { title: '逾期类型', key: 'arrearType' }
                ];

                getNormalList();
                break;
            case 'dumpingRight':
                $rootScope.riskDetailTitle = '排污权抵押详情';

                $scope.riskListProperty = [
                     { title: '抵押权人名称 ', key: 'mortgageeName' },
                     { title: '抵押物名称', key: 'guaranty' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '抵押权人名称', key: 'mortgageeName' },
                     { title: '抵押物名称', key: 'guaranty' },
                     { title: '抵押废水数量（吨/日）', key: 'guaranty' },
                     { title: '抵押二氧化硫数量（吨/年）', key: 'mortgageSo2Amount' },
                     { title: '抵押氮氧化物数量', key: 'mortgageNoAmount' },
                     { title: '抵押物权证编号', key: 'guarantyNo' },
                     { title: '债务人履行债务期限', key: 'debtPayDate' },
                     { title: '登记机关', key: 'regOrg' },
                     { title: '登记时间', key: 'regOrg' }
                ];

                getNormalList();
                break;
            case 'equityToFreeze':
                $rootScope.riskDetailTitle = '股权冻结详情';

                $scope.riskListProperty = [
                     { title: '执行裁定书文号 ', key: 'industryTypeName' },
                     { title: '执行法院', key: 'legalEntitySubTypeName' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '执行裁定书文号', key: 'legalEntitySubTypeName' },
                     { title: '执行法院', key: 'regAddr' },
                     { title: '被冻结股权所在市场主体名称', key: 'regDept' },
                     { title: '被冻结股权所在市场主体注册号', key: 'employeeAmount' },
                     { title: '冻结股权类型', key: 'regStartDate' },
                     { title: '股权数额', key: 'contactPerson' },
                     { title: '冻结期限自', key: 'contactPerson' },
                     { title: '冻结期限至', key: 'contactPerson' }
                ];

                getNormalList();
                break;
            case 'pledgeAssets':
                $rootScope.riskDetailTitle = '出质信息详情';

                $scope.riskListProperty = [
                     { title: '质权登记编号', key: 'zqdjbh' },
                     { title: '出质人', key: 'czrxm' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '质权登记编号', key: 'zqdjbh' },
                     { title: '出质人', key: 'czrxm' },
                     { title: '质权人', key: 'zqrxm' },
                     { title: '质权人证照号', key: 'zqrzzhm' },
                     { title: '出质股权数额（万元）', key: 'czgqse' },
                     { title: '出质设立登记日期', key: 'barq' },
                     { title: '出质状态', key: 'zt' }
                ];

                getNormalList();
                break;
            case 'chattelMortgage':
                $rootScope.riskDetailTitle = '动产抵押详情';

                $scope.riskListProperty = [
                     { title: '抵押证编号', key: 'filingNo' },
                     { title: '抵押登记机关', key: 'department' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '抵押证编号', key: 'filingNo' },
                     { title: '抵押登记机关', key: 'department' },
                     { title: '抵押担保范围', key: 'guaranteesRange' },
                     { title: '抵押权人名称', key: 'mortgageeName' },
                     { title: '抵押权人证件号', key: 'mortgageeCertNo' },
                     { title: '被担保主债权数额（万元）', key: 'mortgageAmount' },
                     { title: '债务期限起', key: 'startdate' },
                     { title: '债务期限至', key: 'enddate' }
                ];

                getNormalList();
                break;
            case 'realEstateMortgage':
                $rootScope.riskDetailTitle = '不动产抵押详情';

                $scope.riskListProperty = [
                     { title: '抵押证编号 ', key: 'mortgageCertNo' },
                     { title: '抵押担保范围', key: 'mortgageGuarExtent' }
                ];

                $rootScope.riskDetailProperty = [
                     { title: '抵押证编号', key: 'mortgageCertNo' },
                     { title: '抵押担保范围', key: 'mortgageGuarExtent' },
                     { title: '抵押权人名称', key: 'mortgageeName' },
                     { title: '被担保主债权数额（万元）', key: 'guaranteedCreditAmount' },
                     { title: '债务期限起', key: 'debtPayFrom' },
                     { title: '债务期限至', key: 'debtPayTo' },
                     { title: '申请抵押原因', key: 'mortgageReason' }
                ];

                getNormalList();
                break;
        }

        $scope.navToDetail = function (item) {
            $rootScope.curNormal = item;
            nav.navigate('normalDetail');
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();
