﻿(function () {
    "use strict"

    angular.module('starter')
        .controller('relationshipDetail', ['$rootScope', '$scope', 'nav', 'nativeHelper', 'control', function ($rootScope, $scope, nav, nativeHelper, control) {
            $scope.isShowFilter = false;
            $scope.btnDisplay = '一键展开';
            $scope.showType = 'force';
            $scope.eChartsData;
            $scope.isShowToolTip = false;

            // 基于准备好的dom，初始化echarts实例
            var myChart = echarts.init(document.getElementById('main'));
            myChart.on('click', function (params) {
                if (params.dataType == 'node' && params.data.data.length > 0) {
                    $scope.isShowToolTip = true;
                    console.log($scope.isShowToolTip);
                    $scope.toolTipData = params.data;
                    console.log(params.data);
                }
            });

            $scope.closeToolTip = function () {
                $scope.isShowToolTip = false;
            }

            $scope.filterType = [
                {key: '0', typeName: '一层关系网', isGxcsSlt: '1'},
                {key: '1', typeName: '二层关系网', isGxcsSlt: '2'},
                {key: '2', typeName: '三层关系网', isGxcsSlt: '3'}
            ];

            $scope.showMainPage = function () {
                $scope.isShowFilter = false;
            }

            $scope.curFilter = $scope.filterType[0];

            // 指定图表的配置项和数据
            var getOption = function (json) {
                var categories = [
                    {
                        name: '关系',
                        symbolSize: 25,
                        itemStyle: {
                            normal: {
                                color: 'red'
                            }
                        }
                    }, {
                        name: '个人',
                        symbolSize: 13,
                        itemStyle: {
                            normal: {
                                color: '#f9a137'
                            }
                        }
                    }, {
                        name: '企业',
                        symbolSize: 18,
                        itemStyle: {
                            normal: {
                                color: '#3296fa'
                            }
                        }
                    }
                ];
                var option = {
                    tooltip: {
                        trigger: 'item',//触发类型，默认数据项触发
                        position: function (p) {
                            return [p[0] - 20, p[1] - 60];
                        },
                        formatter: function (params, ticket, callback) {
                            //var data = params.data;
                            //var res = '<p class="name">' + data.mc + '</p>';
                            //var job = '<p class="job"><span class="c0">●</span>' + data.relateName + '</p>';
                            //res = res  + job;
                            //return res;
                            
                        }
                    },
                    animation: false,
                    series: [{
                        name: 'Les Miserables',//系列名称，用于tooltip的显示，legend 的图例筛选，在 setOption 更新数据和配置项时用于指定对应的系列。
                        type: 'graph', //关系图
                        layout: $scope.showType,//图的布局，类型为力导图，'circular' 采用环形布局，见示例 Les Miserables
                        data: json.nodes,
                        links: json.links,
                        categories: categories,
                        roam: true,//是否开启鼠标缩放和平移漫游。默认不开启。如果只想要开启缩放或者平移，可以设置成 'scale' 或者 'move'。设置成 true 为都开启
                        draggable: true,//节点是否可拖拽，只在使用力引导布局的时候有用
                        focusNodeAdjacency: false,//是否在鼠标移到节点上的时候突出显示节点以及节点的边和邻接节点
                        //symbolSize: 13,//点的大小
                        edgeSymbol: ['circle', 'arrow'],//连线箭头
                        edgeSymbolSize: [1, 6],
                        scaleLimit: {max: 2.8, min: 0.6},//缩放限制
                        animationDuration: 500,
                        top: '10%',
                        left: 'center',
                        label: {
                            normal: {
                                show: true,
                                position: 'top',
                                rotate: 190,
                                formatter: function (params, ticket, callback) {
                                    //if (typeof (params.data.label) == 'undefined') {
                                    //    return params.data.relation;
                                    //} else {
                                    //    return params.data.label;
                                    //}
                                    return params.data.mc;
                                },
                                textStyle: {
                                    color: 'green'
                                }
                            },
                        },
                        force: {//力引导图基本配置
                            repulsion: 110,//节点之间的斥力因子，支持数组表达斥力范围，值越大斥力越大
                            edgeLength: 110,//边的两个节点之间的距离，这个距离也会受 repulsion。[10, 50] 。值越小则长度越长
                            gravity: 0.1,//节点受到的向中心的引力因子。该值越大节点越往中心点靠拢
                            //layoutAnimation: true //因为力引导布局会在多次迭代后才会稳定，这个参数决定是否显示布局的迭代动画，在浏览器端节点数据较多（>100）的时候不建议关闭，布局过程会造成浏览器假死。
                        },
                        lineStyle: {//关系边的公用线条样式
                            normal: {
                                curveness: 0.1,
                                color: 'blue',
                                width: 1
                            }
                        }
                    }]
                };
                return option;
            };

            var findItem = function (arr, val, title, investment) {
                for (var i = 0; i < arr.length; i++) {
                    if (arr[i].entName == val) {
                        arr[i].title = arr[i].title + ' ' + title;
                        arr[i].investment = investment;
                        return true;
                    }
                }
                return false;
            }

            var setECharts = function () {
                //测试使用
                //$scope.eChartsData = { "nodes": [{ "certNo": "", "corpid": "3302060000593848", "mc": "宁波益松壹号投资合伙企业（有限合伙）", "name": "3302060000593848", "label": "宁波益松壹号投资合伙企业（有限合伙）", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "510102196811088436", "corpid": "", "mc": "潘康", "name": "510102196811088436", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "220202199004072147", "corpid": "", "mc": "马冬月", "name": "220202199004072147", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "330622570623281", "corpid": "", "mc": "朱升尧", "name": "330622570623281", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "320602193810262517", "corpid": "", "mc": "吴克勤", "name": "320602193810262517", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "330106196810010196", "corpid": "", "mc": "陈黎伟", "name": "330106196810010196", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "320203194711170317", "corpid": "", "mc": "朱铭岳", "name": "320203194711170317", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "142725194604223237", "corpid": "", "mc": "程世谦", "name": "142725194604223237", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "420300196208222027", "corpid": "", "mc": "沈冲", "name": "420300196208222027", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306000090133339", "mc": "浙江阿克希龙舜华铝塑业有限公司", "name": "3306000090133339", "label": "阿克希龙舜华铝塑业", "category": 0, "nodeType": "1", "value": 10 }, { "certNo": "130705194201210934", "corpid": "", "mc": "杨惠民", "name": "130705194201210934", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "330622195706232816", "corpid": "", "mc": "朱升尧", "name": "330622195706232816", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "12CL43299", "corpid": "", "mc": "舍瓦利尔．劳伦特．以马内利", "name": "12CL43299", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "320602197205222515", "mc": "上海益松投资管理有限公司", "name": "320602197205222515", "label": "上海益松投资管理", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "3306006090188805", "mc": "浙江阿克希龙舜华铝塑业有限公司杭州湾分公司", "name": "3306006090188805", "label": "阿克希龙舜华铝塑业杭州湾分", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "510202197201152146", "corpid": "", "mc": "刘亚琳", "name": "510202197201152146", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "620102198709223034", "corpid": "", "mc": "段云", "name": "620102198709223034", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "120045177", "corpid": "", "mc": "罗利耶．让．约瑟夫．皮埃尔．乔治斯", "name": "120045177", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "N", "mc": "上虞市舜华真空涂装有限公司", "name": "N", "label": "舜华真空涂装", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622571109284", "corpid": "", "mc": "邵秋芬", "name": "330622571109284", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "12CC45177", "corpid": "", "mc": "罗利耶．让．约瑟夫．皮埃尔．乔治斯", "name": "12CC45177", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306820000052094", "mc": "浙江舜华铝塑品有限公司", "name": "3306820000052094", "label": "舜华铝塑品", "category": 2, "nodeType": "1", "value": 2 }], "links": [{ "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:29.0,认缴额:2407.0", "width": 1, "source": "3306000090133339", "target": "N" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事", "width": 1, "source": "3306000090133339", "target": "12CL43299" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事长", "width": 1, "source": "3306000090133339", "target": "120045177" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.16,认缴额:100.0", "width": 1, "source": "3302060000593848", "target": "320602197205222515" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事", "width": 1, "source": "3306000090133339", "target": "320203194711170317" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事", "width": 1, "source": "3306000090133339", "target": "330622571109284" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "经理", "width": 1, "source": "3306820000052094", "target": "330622570623281" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306820000052094", "target": "330622570623281" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:29.07,认缴额:2500.0", "width": 1, "source": "3302060000593848", "target": "510102196811088436" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:2.33,认缴额:200.0", "width": 1, "source": "3302060000593848", "target": "420300196208222027" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:37.5926,认缴额:406.0", "width": 1, "source": "3306820000052094", "target": "330622571109284" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:2.33,认缴额:200.0", "width": 1, "source": "3302060000593848", "target": "220202199004072147" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:27.2222,认缴额:294.0", "width": 1, "source": "3306820000052094", "target": "330622570623281" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.17,认缴额:100.0", "width": 1, "source": "3302060000593848", "target": "330106196810010196" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.16,认缴额:100.0", "width": 1, "source": "3302060000593848", "target": "620102198709223034" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:31.39,认缴额:2700.0", "width": 1, "source": "3302060000593848", "target": "320602193810262517" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "监事", "width": 1, "source": "3306820000052094", "target": "330622571109284" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306000090133339", "target": "12CC45177" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "总经理", "width": 1, "source": "3306000090133339", "target": "330622195706232816" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306006090188805", "target": "330622195706232816" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.16,认缴额:100.0", "width": 1, "source": "3302060000593848", "target": "142725194604223237" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:3.49,认缴额:300.0", "width": 1, "source": "3302060000593848", "target": "510202197201152146" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:25.58,认缴额:2200.0", "width": 1, "source": "3302060000593848", "target": "330622195706232816" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.16,认缴额:100.0", "width": 1, "source": "3302060000593848", "target": "130705194201210934" }], "state": "success" };
                //$scope.eChartsData = { "nodes": [{ "certNo": "", "corpid": "3306821000000986", "mc": "绍兴市上虞区东关供销合作社", "name": "3306821000000986", "label": "东关供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622196902188511", "corpid": "", "mc": "张群", "name": "330622196902188511", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "33062219630321225X", "corpid": "", "mc": "罗忠良", "name": "33062219630321225X", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306821000000848", "mc": "绍兴市上虞区沥海供销合作社", "name": "3306821000000848", "label": "沥海供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622196106235911", "corpid": "", "mc": "叶翔", "name": "330622196106235911", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306821000001399", "mc": "绍兴市上虞区下管供销合作社", "name": "3306821000001399", "label": "下管供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622196307302877", "corpid": "", "mc": "陈永峰", "name": "330622196307302877", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306821000001435", "mc": "绍兴市上虞区章镇供销合作社", "name": "3306821000001435", "label": "章镇供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "N", "mc": "上虞市供销合作总社", "name": "N", "label": "供销合作总社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330682196004270050", "corpid": "", "mc": "钟百富", "name": "330682196004270050", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306821000001395", "mc": "绍兴大通集团公司", "name": "3306821000001395", "label": "大通集团", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622196310070106", "corpid": "", "mc": "蒋俏丽", "name": "330622196310070106", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3300006000004138", "mc": "绍兴大通商城股份有限公司", "name": "3300006000004138", "label": "大通商城股份", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "3306821000001182", "mc": "绍兴市上虞区汤浦供销合作社", "name": "3306821000001182", "label": "汤浦供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "3306821000000431", "mc": "绍兴市上虞区百官供销合作社", "name": "3306821000000431", "label": "百官供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330622600624551", "corpid": "", "mc": "邵其根", "name": "330622600624551", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306820000133812", "mc": "绍兴上虞大通资产经营有限公司", "name": "3306820000133812", "label": "大通资产经营", "category": 0, "nodeType": "1", "value": 10 }, { "certNo": "330622196810191211", "corpid": "", "mc": "徐伟", "name": "330622196810191211", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306000090167688", "mc": "绍兴市上虞大通小额贷款股份有限公司", "name": "3306000090167688", "label": "大通小额贷款股份", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "N", "mc": "上虞市供销合作社", "name": "N", "label": "供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "3306821000001105", "mc": "绍兴市上虞区丰惠供销合作社", "name": "3306821000001105", "label": "丰惠供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330682198001270011", "corpid": "", "mc": "陈勇", "name": "330682198001270011", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "330622197308075914", "corpid": "", "mc": "徐利灿", "name": "330622197308075914", "category": 1, "nodeType": "2", "value": 2 }, { "certNo": "", "corpid": "3306821000001396", "mc": "绍兴市上虞区供销合作总社", "name": "3306821000001396", "label": "供销合作总社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "", "corpid": "3306821000001312", "mc": "绍兴市上虞区崧厦供销合作社", "name": "3306821000001312", "label": "崧厦供销合作社", "category": 2, "nodeType": "1", "value": 2 }, { "certNo": "330702196707256013", "corpid": "", "mc": "何伟", "name": "330702196707256013", "category": 1, "nodeType": "2", "value": 2 }], "links": [{ "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:1029.0", "width": 1, "source": "3306821000000986", "target": "3306821000001396" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "负责人", "width": 1, "source": "3306821000001399", "target": "330682198001270011" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000000986", "target": "330622600624551" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "总经理", "width": 1, "source": "3306821000001395", "target": "330702196707256013" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:42.2581,认缴额:1310.0", "width": 1, "source": "3306820000133812", "target": "3306821000001395" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:3.2258,认缴额:100.0", "width": 1, "source": "3306820000133812", "target": "3306821000000848" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "执行董事", "width": 1, "source": "3306820000133812", "target": "330622196310070106" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:260.0", "width": 1, "source": "3306821000001182", "target": "N" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:4.5161,认缴额:140.0", "width": 1, "source": "3306820000133812", "target": "3306821000001105" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:508.0", "width": 1, "source": "3306821000000431", "target": "N" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:11800.0", "width": 1, "source": "3306821000001395", "target": "N" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:405.0", "width": 1, "source": "3306821000001435", "target": "3306821000001396" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事长", "width": 1, "source": "3300006000004138", "target": "33062219630321225X" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:4.5161,认缴额:140.0", "width": 1, "source": "3306820000133812", "target": "3306821000001435" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001399", "target": "330682198001270011" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001435", "target": "330622196902188511" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "监事", "width": 1, "source": "3306820000133812", "target": "33062219630321225X" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:82.7", "width": 1, "source": "3306821000001399", "target": "3306821000001396" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001395", "target": "330702196707256013" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001312", "target": "330622196810191211" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:332.0", "width": 1, "source": "3306821000001312", "target": "3306821000001396" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:9.0323,认缴额:280.0", "width": 1, "source": "3306820000133812", "target": "3306821000000431" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:1.6129,认缴额:50.0", "width": 1, "source": "3306820000133812", "target": "3306821000001399" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:0.3226,认缴额:10.0", "width": 1, "source": "3306820000133812", "target": "3306821000001182" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306820000133812", "target": "330622196310070106" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001105", "target": "330622196106235911" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:7.0968,认缴额:220.0", "width": 1, "source": "3306820000133812", "target": "3306821000000986" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000001182", "target": "330622196902188511" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:27.4194,认缴额:850.0", "width": 1, "source": "3306820000133812", "target": "3306821000001312" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000000431", "target": "330622196307302877" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:359.2", "width": 1, "source": "3306821000001105", "target": "3306821000001396" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:4.3333,认缴额:1300.0", "width": 1, "source": "3306000090167688", "target": "330622196310070106" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3300006000004138", "target": "33062219630321225X" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "董事长", "width": 1, "source": "3306821000001395", "target": "330682196004270050" }, { "lineStyle": { "normal": { "color": "red", "width": 1 } }, "mc": "占比:100.0,认缴额:346.0", "width": 1, "source": "3306821000000848", "target": "N" }, { "lineStyle": { "normal": { "color": "blue", "width": 1 } }, "mc": "法人代表关系", "width": 1, "source": "3306821000000848", "target": "330622197308075914" }], "state": "success" };
                var opt = {};
                opt.nodes = $scope.eChartsData.nodes;
                opt.links = $scope.eChartsData.links;
                var node;
                var link;
                var node1;
                for (var i = 0; i < opt.nodes.length; i++) {
                    var title = '', investment = '', entName = '';
                    node = opt.nodes[i];
                    node.data = [];
                    if (node.category == 0) node.symbolSize = 25;
                    if (node.category == 1) node.symbolSize = 13;
                    if (node.category == 2) node.symbolSize = 18;

                    for (var j = 0; j < opt.links.length; j++) {
                        link = opt.links[j];
                        if (node.name == link.target) {
                            for (var k = 0; k < opt.nodes.length; k++) {
                                node1 = opt.nodes[k];
                                if (link.source == node1.name) {
                                    entName = node1.mc;
                                }
                            };
                            if (link.mc.indexOf('占比') >= 0) {
                                investment = link.mc;
                            } else {
                                title = link.mc;
                            }
                            //if (node.mc == '朱升尧') {
                                if (!findItem(node.data, entName, title, investment)) {
                                    node.data.push({ 'entName': entName, 'title': title, 'investment': investment });
                                }
                            //}
                        }
                    };
                };
                console.log(opt.nodes);

                opt.links = $scope.eChartsData.links;
                myChart.setOption(getOption(opt));

                myChart.on('click', function (params) {
                    //alert('click');
                });
            };

             //setECharts();

            $scope.getRelationData = function () {
                //setECharts();
                control.showLoading();
                var params = [{
                    'corpid': $rootScope.curEnterpriseInfo.corpid,
                    'entname': $rootScope.curEnterpriseInfo.entName,
                    'isGxcsSlt': $scope.curFilter.isGxcsSlt
                }];
                var successFunc = function (result) {
                    control.hideLoading();
                    if (result == null || angular.equals({}, result)) {
                        return;
                    }
                    switch (result.state) {
                        case "success":
                            $scope.$apply(function () {
                                $scope.eChartsData = result;
                                setECharts();
                            });
                            break;
                        case "error":
                            control.showPopup(result.msg, 3000);
                            break;
                    }
                }

                var failFunc = function (result) {
                    control.hideLoading();
                    control.showPopup(result.msg, 3000);
                };

                nativeHelper.getRelationData({data: params, success: successFunc, fail: failFunc});
            }

            $scope.getRelationData();

            $scope.choiceType = function (item) {
                var func = $scope.curFilter.isGxcsSlt != item.isGxcsSlt ? $scope.getRelationData : setECharts;
                $scope.curFilter = item;
                $scope.isShowFilter = false;
                //$scope.showType = ($scope.curFilter.key == '1' || $scope.curFilter.key == '3') ? 'circular' : 'force';
                if ($scope.curFilter.key == '0') {
                    $scope.btnDisplay = '一键展开';
                }
                if ($scope.curFilter.key == '1') {
                    $scope.btnDisplay = '一键收起';
                }
                func();
            }

            $scope.setFilterType = function () {
                if ($scope.btnDisplay == '一键收起') {
                    $scope.curFilter = $scope.filterType[0];
                    $scope.btnDisplay = '一键展开';
                } else {
                    $scope.curFilter = $scope.filterType[1];
                    $scope.btnDisplay = '一键收起';
                }

                $scope.getRelationData();
            }

            $scope.btnClick = function (type) {
                $scope.btnType = '';
                $scope.getRelationData(type);
            }

            $scope.navigate = function (state) {
                nav.navigate(state);
            };
        }]);
})();
