﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('riskWarningDetail', ['$rootScope', '$scope', 'nav', 'control', 'nativeHelper',function ($rootScope, $scope, nav, control,nativeHelper) {
        
        //警示企业详情
        var getRiskWarningDetailList = function () {
            control.showLoading();

            var params = [{ "entName": $rootScope.curEnterpriseInfo.entName }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
      
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.riskWarningDetailTSlist = result.tsList;
                            $scope.riskWarningDetailGZlist = result.gzList;
                            $scope.riskWarningDetailJSlist = result.jsList;

                            //数据展示优先级
                            if (result.jsList.length != 0) {
                                
                                $scope.jsClickEvent = true;
                                $scope.riskWarningDetailList = result.jsList;
                                return;
                            } else if (result.tsList.length != 0) {
                                $scope.tsClickEvent = true;
                                $scope.riskWarningDetailList = result.tsList;
                                return;
                            } else if (result.gzList.length != 0) {
                                $scope.gzClickEvent = true;
                                $scope.riskWarningDetailList = result.gzList;
                                return;
                            }
                            $scope.riskWarningDetailList = result.tsList;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getRiskWarningDetailList({ data: params, success: successFunc, fail: failFunc });
        }

        getRiskWarningDetailList();

        
        $scope.tipEvent = function (type) {
            switch(type){
                case 'js':
                    $scope.riskWarningDetailList = $scope.riskWarningDetailJSlist;
                    $scope.jsClickEvent = true;
                    $scope.tsClickEvent = false;
                    $scope.gzClickEvent = false;
                    break;
                case 'ts':
                    $scope.riskWarningDetailList = $scope.riskWarningDetailTSlist;
                    $scope.tsClickEvent = true;
                    $scope.jsClickEvent = false;
                    $scope.gzClickEvent = false;
                    break;
                case 'gz':
                    $scope.riskWarningDetailList = $scope.riskWarningDetailGZlist;
                    $scope.gzClickEvent = true;
                    $scope.jsClickEvent = false;
                    $scope.tsClickEvent = false;
                    break;
            }
        };


        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();