﻿(function () {
    "use strict"
    angular.module('starter')
    .controller('showLocalCertList', ['$rootScope', '$scope', 'nav', 'localStorage', 'control', 'nativeHelper', 'validate', function ($rootScope, $scope, nav, localStorage, control, nativeHelper, validate) {

        //初始化弹框中输入框数据
        $rootScope.localCert = { useCertPwd: '' };

        $scope.showList = false;

        //过滤本地证书
        var getCertValidity = function () {
            var certSnList = [];
            $scope.validLocalCertList = angular.copy($rootScope.localCertList);
            $rootScope.localCertList.forEach(function (v) {
                v.data.forEach(function (c) {
                    certSnList.push(c.serialNum);
                })
            });

            control.showLoading();
            var params = [certSnList];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                };

                if (result.success) {
                    $scope.showList = true;
                    result.value.forEach(function (c) {
                        if (!c.valid) {
                            $scope.validLocalCertList.forEach(function (v) {
                                v.data.forEach(function (l) {
                                    if (l.serialNum == c.certSn) {
                                        var index = v.data.indexOf(l);
                                        v.data.splice(index, 1);
                                        if (v.data.length == 0) {
                                            var tag = $scope.validLocalCertList.indexOf(v);
                                            $scope.validLocalCertList.splice(tag, 1);
                                        }
                                    }
                                })
                            });
                        }
                    })
                }
                else {
                    control.showPopup(result.msg, 3000);
                }
            }

            var failFunc = function (error) {

            };

            nativeHelper.getCertValidity({ data: params, success: successFunc, fail: failFunc });
        };

        if ($rootScope.localCertList.length > 0) getCertValidity();

        var confirmPwd = function (curCert) {
            if (!validate.certPassword($rootScope.localCert.useCertPwd)) {
                control.showPopup('请输入6位数字密码', 2000);
                return;
            }

            if ($rootScope.localCert.useCertPwd !== curCert.password) {
                control.showPopup("证书密码不正确！", 2000);
                return;
            }

            control.showLoading();
            //param1:二维码扫描结果
            //param2:选中证书对应的容器
            //param3:证书base64,与对应容器里到处的校验下是否一致
            //param4:用户输入的证书使用密码（容器PIN码）
            var params = [$rootScope.curQRCodeInfo, curCert.containerName, curCert.certContent, $rootScope.localCert.useCertPwd];
            var successFunc = function (result) {
                $rootScope.localCert = { useCertPwd: '' };
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                }

                if (result.rslt == 'success') {
                    control.showPopup('扫码操作成功', 3000);

                }
                if (result.rslt == 'fail') {
                    control.showPopup(result.errorMsg, 3000);

                }
                nav.navigate('tab/home');
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.uploadinfo({ data: params, success: successFunc, fail: failFunc });
        }


        $scope.selectCert = function (curCert) {
            //判断二维码的证书序列号是否与选中的匹配
            if ($rootScope.curQRCodeInfo.certSn !== '' && cert.serialNum !== $rootScope.curQRCodeInfo.certSn) {
                control.showPopup('请选择正确的证书', 2000);
                return;
            }

            $rootScope.localCert = { useCertPwd: '' };

            control.showCustomPopup('html/home/popupUseCert.html', '', '取消', '确认', 'popup-btn-default', 'popup-btn-light', function () { return; }, function () {
                confirmPwd(curCert);
            });
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    }]);
})();