﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('reportDataList', ['$rootScope', '$scope', '$ionicPopup', 'nav', 'nativeHelper', 'validate', 'control', '$timeout', function ($rootScope, $scope, $ionicPopup, nav, nativeHelper, validate, control, $timeout) {
        $scope.reportSearch = { key: '' };
        $scope.isShow = false;

        var getCreditReportData = function (key) {
            control.showLoading();
            var params = [{ "searchParam": key }];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.reportListData = result.data;
                        });
                        break;
                    case "fail":
                        $scope.reportListData = [];
                        control.showPopup(result.msg, 3000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getCreditReportData({ data: params, success: successFunc, fail: failFunc });
        };
        //搜索
        $scope.search = function () {
     
            $scope.isShow = true;
            if (!validate.nullOrEmpty($scope.reportSearch.key)) {
                var isEqual = false;
                angular.forEach($rootScope.searchHistory, function (data, index, array) {

                    if (data == $scope.reportSearch.key) {
                        isEqual = true;
                    }

                });
                if (!isEqual) {
                    $rootScope.searchHistory.push($scope.reportSearch.key);
                    localStorage.setObject('searchHistory', $rootScope.searchHistory);
                }

            }
            getCreditReportData($scope.reportSearch.key);
        };

        //点击搜索历史进行查询
        $scope.lookup = function (item) {
            $scope.reportSearch.key = item;
            getCreditReportData(item);
            control.showLoading();
            $scope.isShow = true;
        };
        $scope.navToList = function (item) {
            if (!validate.nullOrEmpty(item.creditScore)) {
                $rootScope.curEnterpriseInfo = item;
                $rootScope.creditIndexParent = 'reportDataList';
                nav.navigate('creditIndex');
            } else {
                control.showPopup('暂无数据', 3000);
            }

        }

        $scope.isFocus = function () {
         
                $scope.isShow = false;
          
        };

        $scope.isBlur = function () {
            $scope.showClear = false;
        };

        $scope.toBack = function () {
           nav.navigate('tab/report');
        };
    }]);
})();