﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('attention', ['$rootScope', '$scope', '$ionicHistory', 'nav', 'nativeHelper', 'control', '$ionicPopup', '$ionicListDelegate', function ($rootScope, $scope, $ionicHistory, nav, nativeHelper, control, $ionicPopup, $ionicListDelegate) {
        $scope.searchAttentionEnt = { 'key': '' };
        $scope.isSearch = false;
        $scope.isloadmore=false;
        $scope.creditList = [];
        var pageNum = 1;//页码
        var showNum = 10;
    

        //关注列表
        //groupId:分组的id
         var getAllAttentionEntList = function () {
            control.showLoading();
            var params = [{ "userId": $rootScope.userInfo.uid, "page": pageNum, "pageSize": showNum, "groupId": '', "entName": $scope.searchAttentionEnt.key }];
            var successFunc = function (result) {
                control.hideLoading();
                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            $scope.allAttentionEntList = result.data;
                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getAttentionEntList({ data: params, success: successFunc, fail: failFunc });
        };

            //我的分组列表
       var getGroupData = function () {

           var params = [{ "userId": $rootScope.userInfo.uid }];
           var successFunc = function (result) {
               $scope.can_loadmore = true;
               if (result == null || angular.equals({}, result)) { return; }
               switch (result.type) {
                   case "success":
                       $scope.$apply(function () {
                           $rootScope.myGroupList = result.data;
                       });
                       break;
                   case "fail":
                       control.showPopup(result.msg, 3000);
                       break;
               }
               getAllAttentionEntList();
           }

           var failFunc = function (result) {
               control.showPopup(result.msg, 3000);
           };

           nativeHelper.getGroupData({ data: params, success: successFunc, fail: failFunc });

       };

        //调用分组数据
        getGroupData();
     

     
       //搜素关注的企业
       $scope.search = function () {
           getAllAttentionEntList();

       };
        //取消关注
       $scope.cancelAttention = function (item, index) {

            //control.showLoading();

            var params = [{ "corpid": item.corpid, "userId": $rootScope.userInfo.uid }];
            var successFunc = function (result) {
                control.hideLoading();
                //恢复滑动按钮状态
                $ionicListDelegate.closeOptionButtons();
                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.type) {
                    case "success":
                        $scope.$apply(function () {
                            getAllAttentionEntList();
                            control.showPopup('取消关注成功', 2000);
                            $ionicHistory.clearCache(['entCredit']);

                        });
                        break;
                    case "fail":
                        control.showPopup(result.msg, 2000);
                        break;
                }
            }

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getCancelAttention({ data: params, success: successFunc, fail: failFunc });

        };



        //获取下拉刷新数据
        $scope.doRefresh = function () {
            pageNum = 1;
            showNum = 10;
            getAllAttentionEntList();
            $scope.$broadcast('scroll.refreshComplete');
        };
    
        //点击加载更多
        $scope.can_loadmore = true;
           $scope.isloadmore = false;
        $scope.loadMore = function () {
     
            if ($scope.recordsTotal > showNum) {
                showNum = 10 +showNum;
              getAllAttentionEntList();
                $scope.can_loadmore = false;

            } else {
                $scope.isloadmore = true;
            }
            $scope.can_loadmore = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
            return;
        };

        $scope.isFocus = function () {
            $scope.isSearch = true;
            $scope.showClear = true;
        };

        $scope.isBlur = function () {
            $scope.showClear = false;
        };



        $scope.navigate = function (state) {
           
            nav.navigate(state);
        };
    }]);
})();