﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('businessManage', ['$rootScope', '$scope', '$ionicLoading', '$ionicActionSheet', '$filter', 'nav', 'control', 'localStorage', 'nativeHelper', 'validate', function ($rootScope, $scope, $ionicLoading, $ionicActionSheet, $filter, nav, control, localStorage, nativeHelper, validate) {
        var pageNum = 1;//页码
        var showNum = 10;
        $scope.can_loadmore = true;
        $scope.isloadmore = false;
        $scope.isloading = true;

        $scope.businessInfoList = [
            //{ entName: '杭州天日管带机电有限公司', createDate: '2018-03-20 12:23:56', orderNo: '45678909988766543257', netType: '8', handleState: '7', reason: '长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差长得太丑，人品差' },
            //{ entName: '杭州天日管带机电有限公司', createDate: '2018-03-20 12:23:56', orderNo: '45678909988766543257', netType: '6', handleState: '0', reason:''},
            //{ entName: '杭州天日管带机电有限公司', createDate: '2018-03-20 12:23:56', orderNo: '45678909988766543257', netType: '6', handleState: '1', reason: '' },
            //{ entName: '杭州天日管带机电有限公司', createDate: '2018-03-20 12:23:56', orderNo: '45678909988766543257', netType: '8', handleState: '2', reason: '' },
            //{ entName: '杭州天日管带机电有限公司', createDate: '2018-03-20 12:23:56', orderNo: '45678909988766543257', netType: '8', handleState: '5', reason: '' },
        ];

        var getBusinessInfoList = function () {
            control.showLoading();
            var params = [$rootScope.loginInfo.accountId, pageNum, showNum];
            var successFunc = function (result) {
                control.hideLoading();
                $scope.isloading = false;
                $scope.can_loadmore = true;
                if (result == null || angular.equals({}, result)) { return; }
                switch (result.success) {
                    case true:
                        $scope.$apply(function () {
                            $scope.businessInfoList = result.value.netOrderDetailsList;
                            $scope.recordsTotal = result.value.pagination.total;
                        });
                        break;
                    case false:
                        control.showPopup(result.msg, 3000);
                        break;
                }
            };

            var failFunc = function (result) {
                control.hideLoading();
                control.showPopup(result.msg, 3000);
            };

            nativeHelper.getBusinessInfoList({ data: params, success: successFunc, fail: failFunc });
        };

        getBusinessInfoList();

        $scope.continueBusiness = function (item, state) {
            $rootScope.certHandleNoticeParent = 'tab/businessManage';
            $rootScope.curBusinessInfo = item;

            //封装证书新领或补办进行中所需信息
            $rootScope.certUnderwayInfo = {
                entName: item.entName,
                category: $filter('categoryType')(item.categoryBh),
                businessCode: item.netType == '6' ? 'P012' : 'B03',
            };

            nav.navigate(state);
        }


        //获取下拉刷新数据
        $scope.doRefresh = function () {
            pageNum = 1;
            showNum = 10;
            getBusinessInfoList();
            $scope.$broadcast('scroll.refreshComplete');
        };

        //点击加载更多
        $scope.loadMore = function () {
            if ($scope.recordsTotal > showNum) {
                showNum = 10 + showNum;
                getBusinessInfoList();
                $scope.can_loadmore = false;

            } else {
                $scope.isloadmore = true;
            }
            $scope.can_loadmore = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
            return;
        };

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    
    }]);
})();