﻿(function () {
    "use strict"

    angular.module('starter')
    .controller('certManage', ['$rootScope', '$scope', '$ionicLoading', '$ionicActionSheet', 'nav', 'control', 'localStorage', 'nativeHelper', 'validate', 'utility', function ($rootScope, $scope, $ionicLoading, $ionicActionSheet, nav, control, localStorage, nativeHelper, validate, utility) {
        $rootScope.changeCertPasswordInfo = { oldPwd: '', newPwd: '', verifyPwd: '' };
        $rootScope.resetCertPasswordInfo = { tel: '', authCode: '', newPwd: '' };
        $rootScope.deleteCertInfo = { password: '' };

        $rootScope.localCertList = localStorage.getObject($rootScope.loginInfo.mobile);
        if (JSON.stringify($rootScope.localCertList) == '{}') $rootScope.localCertList = [];
        $scope.hasCert = $rootScope.localCertList.length > 0;

        var getCertValidity = function () {
            var certSnList = [];
            $rootScope.localCertList.forEach(function (v) {
                v.data.forEach(function (c) {
                    certSnList.push(c.serialNum);
                })
            });

            control.showLoading();
            var params = [certSnList];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                };

                if (result.success) {
                    result.value.forEach(function (c) {
                        if (!c.valid) {
                            $rootScope.localCertList.forEach(function (v) {
                                v.data.forEach(function (l) {
                                    if (l.serialNum == c.certSn) {
                                        l.isValid = false;
                                        l.operator = c.operator;
                                        l.phone = c.phone;
                                        l.date = c.date;
                                        //var index = v.data.indexOf(l);
                                        //v.data.splice(index, 1);

                                        //if (v.data.length == 0) {
                                        //    var tag = $rootScope.localCertList.indexOf(v);
                                        //    $rootScope.localCertList.splice(tag, 1);
                                        //}
                                    }
                                })
                            });
                        }
                    })

                    $scope.hasCert = $rootScope.localCertList.length > 0;
                    localStorage.setObject($rootScope.loginInfo.mobile, $rootScope.localCertList);
                }
                else {
                    control.showPopup(result.msg, 3000);
                }
            }

            var failFunc = function (error) {

            };

            nativeHelper.getCertValidity({ data: params, success: successFunc, fail: failFunc });
        };

        if ($rootScope.localCertList.length > 0) getCertValidity();

        var deleteCert = function (curCert) {
            if (!validate.certPassword($rootScope.deleteCertInfo.password)) {
                control.showPopup('请输入6位数字密码', 2000);
                return;
            }

            if ($rootScope.deleteCertInfo.password !== curCert.password) {
                control.showPopup('证书密码错误', 2000);
                return;
            }

            control.showLoading();
            var params = [curCert.containerName];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                };

                if (result.indexOf('成功') > 0) {
                    $rootScope.localCertList.forEach(function (v) {
                        v.data.forEach(function (item) {
                            if (item.serialNum == curCert.serialNum) {
                                var index = v.data.indexOf(item);
                                v.data.splice(index, 1);

                                if (v.data.length == 0) {
                                    var tag = $rootScope.localCertList.indexOf(v);
                                    $rootScope.localCertList.splice(tag, 1);
                                }
                            }
                        })
                    });
                    localStorage.setObject($rootScope.loginInfo.mobile, $rootScope.localCertList);
                }
                     
                control.showPopup(result, 3000);
            }
                 
            var failFunc = function (error) {
                     
            };
                 
            nativeHelper.deleteCert({ data: params, success: successFunc, fail: failFunc });
        };

        var changeCertPwd = function (curCert) {
            if (curCert.password == $rootScope.changeCertPasswordInfo.oldPwd) {
                if (!validate.certPassword($rootScope.changeCertPasswordInfo.newPwd) || !validate.certPassword($rootScope.changeCertPasswordInfo.verifyPwd)) {
                    control.showPopup('请输入6位数字密码', 2000);
                    return;
                }

                if ($rootScope.changeCertPasswordInfo.newPwd == $rootScope.changeCertPasswordInfo.verifyPwd) {
                    control.showLoading();
                    var params = [curCert.containerName, $rootScope.changeCertPasswordInfo.oldPwd, $rootScope.changeCertPasswordInfo.newPwd];
                    var successFunc = function (result) {
                        control.hideLoading();
                        if (result == null || angular.equals({}, result)) { return; }
                        if (result.indexOf('成功') > 0) {
                            $rootScope.localCertList.forEach(function (v) {
                                v.data.forEach(function (item) {
                                    if (item.serialNum == curCert.serialNum) {
                                        item.password = $rootScope.changeCertPasswordInfo.newPwd;
                                    }
                                })
                            });
                            localStorage.setObject($rootScope.loginInfo.mobile, $rootScope.localCertList);
                            control.showPopup('密码修改成功', 3000);
                            nav.navigate('tab/certManage');
                        } else {
                            control.showPopup(result, 3000);
                        }
                    }

                    var failFunc = function (error) {

                    };

                    nativeHelper.changeCertPwd({ data: params, success: successFunc, fail: failFunc });
                }
                else {
                    control.showPopup('您输入的两次密码不相同', 3000);
                }
            }
            else {
                control.showPopup('旧密码输入错误', 2000);
            }
        };

        var resetCertPwd = function (curCert) {
            control.showLoading();
            var params = [curCert.containerName, $rootScope.deleteCertInfo.password];
            var successFunc = function (result) {
                control.hideLoading();
                if (result == null || angular.equals({}, result)) {
                    control.showPopup('服务出错啦', 3000);
                    return;
                };

                if (result.indexOf('成功') > 0) {
                    $rootScope.localCertList.forEach(function (v) {
                        v.data.forEach(function (item) {
                            if (item.serialNum == curCert.serialNum) {
                                var index = v.data.indexOf(item);
                                v.data.splice(index, 1);
                            }
                        })
                    });
                    localStorage.setObject($rootScope.loginInfo.mobile, $rootScope.localCertList);
                }

                control.showPopup(result, 3000);
            }

            var failFunc = function (error) {

            };

            nativeHelper.resetCertPwd({ data: params, success: successFunc, fail: failFunc });
        }

        $scope.certManage = function (curCert) {
            $ionicActionSheet.show({
                buttons: [
                    { text: '修改密码' },
                    //{ text: '重置密码' },
                    { text: '删除证书' },
                ],
                titleText: '',
                //cancelText: '取消',
                // 新增自定义样式
                cssClass: 'myionic-sheet',
                buttonClicked: function (index) {
                    switch (index) {
                        case 0:
                            $rootScope.changeCertPasswordInfo = {
                                oldPwd: '',
                                newPwd: '',
                                verifyPwd: ''
                            };
                            control.showCustomPopup('html/certManage/popupChangePassword.html', '', '取消', '确认', 'popup-btn-default', 'popup-btn-light', function () { return; }, function () { changeCertPwd(curCert); });
                            return true;
                            break;
                        //case 1:
                        //    $rootScope.resetCertPasswordInfo = {
                        //        tel: '',
                        //        authCode: '',
                        //        newPwd: '',
                        //    };
                        //    control.showCustomPopup('html/certManage/popupResetPassword.html', '', '取消', '确认', 'popup-btn-default', 'popup-btn-light', function () { return; }, function () { resetCertPwd(curCert); });
                        //    return true;
                        //    break;
                        case 1:
                            $rootScope.deleteCertInfo = {
                                password: '',
                            };
                            control.showCustomPopup('html/certManage/popupDeleteCert.html', '', '取消', '确认', 'popup-btn-default', 'popup-btn-light', function () { return; }, function () { deleteCert(curCert); });
                            return true;
                            break;
                    }
                }
            });
        };
        $scope.addCert = function () {
            $rootScope.subjectQueryRoute = 'tab/certManage';
            nav.navigate('subjectQuery');
        }

        $scope.navigate = function (state) {
            nav.navigate(state);
        };
    
    }]);
})();