﻿(function () {
    "use strict"
    angular.module('starter')
        .factory('control', ['$rootScope', '$ionicPopup', '$ionicLoading', '$timeout', 'nav', function ($rootScope, $ionicPopup, $ionicLoading, $timeout, nav) {
            var showConfirm = function (msg, okFunc, cancelFunc) {
                var confirmPopup = $ionicPopup.confirm({
                    title: msg,
                    cssClass: 'private-popup-confirm',
                    cancelText: '取消',
                    okText: '确定'
                    //    cssClass: '', // String, The custom CSS class name
                    //    subTitle: '', // String (optional). The sub-title of the popup.
                    //    template: '', // String (optional). The html template to place in the popup body.
                    //    templateUrl: '', // String (optional). The URL of an html template to place in the popup   body.
                    //    cancelText: '', // String (default: 'Cancel'). The text of the Cancel button.
                    //    cancelType: '', // String (default: 'button-default'). The type of the Cancel button.
                    //    okText: '', // String (default: 'OK'). The text of the OK button.
                    //    okType: '', // String (default: 'button-positive'). The type of the OK button.
                });
                confirmPopup.then(function (res) {
                    if (res) {
                        okFunc();
                    } else {
                        cancelFunc();
                    }
                });
            };

            //var showConfirm = function (title,msg) {
            //    return  $ionicPopup.show({
            //        template: '<div class="group-delete"></div><p>确认要删除？</p><p>删除该分组后 组内企业将移至默认分组中</p><i ng-click="closeLayout()" class="close-cir-fff"></i>',
            //        title: '',
            //        subTitle:'',
            //        cssClass: 'private-popup-confirm',
            //        buttons: [{ text: '确定' }]
            //    });
            //}
            var showPopup = function (msg, milliSecond, func) {
                //$rootScope.msg = msg;

                var msgPopup = $ionicPopup.show({
                    //template: '<div class="state-tips-bg"><div class="text-center state-tips-box">{{msg}}</div></div>',
                    subTitle: msg,
                    cssClass: 'private-popup-show',
                    //cssClass: 'ex-popup',
                    //scope: $rootScope
                });

                $timeout(function () {
                    msgPopup.close();
                    if (func) {
                        func();
                    }
                }, milliSecond);
            };
            //加载动画
            var showLoading = function () {
                switch (cordova.platformId) {
                    case 'android':
                        $ionicLoading.show({
                            // template: '加载中...',
                            template: '<ion-spinner icon="circles" class="spinner-light">加载中...</ion-spinner>',//动画模板
                        });
                        break;
                    case 'ios':
                        $ionicLoading.show({
                            template: '<ion-spinner icon="bubbles" class="spinner-stable">loading</ion-spinner>',//动画模板
                        });
                        break;
                }
            };

            //隐藏加载动画
            var hideLoading = function () {
                $ionicLoading.hide();
            };
            //android 平台双击返回判断
            var androidPlatFormExit = function (input) {
                if (input === "/tab/home")
                    return true;
                else if (input === "/signIn")
                    return true;
                else if (input === "/tab/report")
                    return true;
                else if (input === "/tab/account")
                    return true;
                else if (input === "/tab/report")
                    return true;
            }

            return {
                showConfirm: showConfirm,
                showPopup: showPopup,
                showLoading: showLoading,
                hideLoading: hideLoading,
                androidPlatFormExit: androidPlatFormExit
            };
        }]);
})();