﻿(function () {
    "use strict"

    angular.module('starter')
    .factory('utility', ['$q', '$rootScope','$ionicLoading', 'validate', 'localStorage', 'control', 'nativeHelper', 'nav', function ($q, $rootScope, $ionicLoading, validate, localStorage, control, nativeHelper, nav) {
        var calculateTotalPages = function (pages, pageSize) {
            return Math.ceil(pages / pageSize);
        };

        // sort params and stringify them
        var stringifyParams = function (params) {
            if (!params) {
                return '';
            }

            var ret = [], keys = [];
            for (var key in params) {
                keys.push(key);
                keys.sort();
            }

            for (var i = 0; i < keys.length; ++i) {
                ret.push(keys[i] + '=' + params[keys[i]]);
            }

            return ret.join('&');
        };

        var findFirst = function (arr, fn, def) {
            var l = arr.length;
            for (var i = 0; i < l; ++i) {
                if (fn(arr[i], i))
                    return arr[i];
            };
            return def;
        };

        var generateStringComparer = function (prop, desc) {
            desc = desc ? -1 : 1;
            return function (v1, v2) {
                var prop1 = v1[prop], prop2 = v2[prop];
                if (validate.isString(prop1) && validate.isString(prop2)) {
                    prop1 = prop1.trim().toLowerCase();
                    prop2 = prop2.trim().toLowerCase();
                }
                if (prop1 < prop2)
                    return -1 * desc;
                if (prop1 > prop2)
                    return 1 * desc;
                return 0;
            };
        };

       

        var setUserInfo = function () {
            var successFunc = function (result) {
                localStorage.set('userInfo', result);
            }

            var failFunc = function (error) {
                control.showPopup(error, 3000);
            };

            var loginInfo = $rootScope.user.name + ',' + $rootScope.user.password

            nativeHelper.getEncryptAndDecryptStr({ data: ['1', loginInfo], success: successFunc, fail: failFunc });
        }

        return {
            calculateTotalPages: calculateTotalPages,
            stringifyParams: stringifyParams,
            findFirst: findFirst,
            generateStringComparer: generateStringComparer,
            setUserInfo: setUserInfo
        };
    }]);
})();